#Rem
#Rem $Header:   S:/ea3t/src/arc/eabuild/oracle7.tav   1.66   Nov 09 1997 01:41:44   
#Rem
#Rem Desc: Sql Server Table creation script for PROFILE
#Rem

#ECHO %!b_msgs[B_ECHO_CREATE_SLA_COMMON]

#REM
#REM Map SYNONYMS to DBCOMMON global variables
#REM
#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE ON_TABLE_SEGMENT {{DBCOMMON:GlobalTablespaceOptions}}
#DEFINE COMMAND_TERMINATOR ;

#SUPPRESS -100

CREATE TABLE <<TAB_QUAL>>.SLA_TERM (
       TERM_ID                  INTEGER NOT NULL,
       TERM_NAME                VARCHAR(20) NOT NULL,
       DESCRIPTION              VARCHAR(256),
       CALENDAR_ID              INTEGER,
       SECONDS_TO_BREACH        INTEGER NOT NULL,
       RELATIVE_TO              INTEGER,
       BASE_CONDITION           LONG VARCHAR,
       LOCATION_CONDITION       LONG VARCHAR,
       EXIT_CONDITION           LONG VARCHAR,
       CONSTRAINT XPKSLA_TERM PRIMARY KEY (TERM_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.SLA_SCHEDULE (
       EVENT_ID                 INTEGER NOT NULL,
       EVENT_NAME               VARCHAR(20) NOT NULL,
       DESCRIPTION              VARCHAR(256),
       TIME_TO_FIRE             INTEGER NOT NULL,
       TERM_ID                  INTEGER,
       CONSTRAINT XPKSLA_SCHEDULE PRIMARY KEY (EVENT_ID)
) <<ON_TABLE_SEGMENT>>;       

CREATE TABLE <<TAB_QUAL>>.SLA_ACTION (
       ACTION_ID                INTEGER NOT NULL,
       ACTION_NAME              VARCHAR(20) NOT NULL,
       SEQUENCE_NUMBER          INTEGER NOT NULL,
       ACTION_TYPE              INTEGER NOT NULL,
       ACTION_TARGET            VARCHAR(256),
       NOTIFICATION_TYPE        CHAR(15),
       IS_GROUP                 SMALLINT,
       ACTION_TITLE             VARCHAR(40),
       ACTION_TEXT              LONG VARCHAR,
       EVENT_ID                 INTEGER,
       CONSTRAINT XPKSLA_ACTION PRIMARY KEY (ACTION_ID)
) <<ON_TABLE_SEGMENT>>;
COMMENT ON COLUMN <<TAB_QUAL>>.SLA_ACTION.IS_GROUP IS '$ASETYPE=BOOLEAN';

CREATE TABLE <<TAB_QUAL>>.SLA_CALENDAR (
       CALENDAR_ID             INTEGER NOT NULL,
       CALENDAR_NAME           VARCHAR(20) NOT NULL,
       DESCRIPTION             VARCHAR(256),
       START_DATE              DATE,
       END_DATE                DATE,
       NEXT_CALENDAR_ID        INTEGER,
       CONSTRAINT XPKSLA_CALENDAR PRIMARY KEY (CALENDAR_ID)
) <<ON_TABLE_SEGMENT>>;
COMMENT ON COLUMN <<TAB_QUAL>>.SLA_CALENDAR.START_DATE IS '$ASETYPE=DATE';
COMMENT ON COLUMN <<TAB_QUAL>>.SLA_CALENDAR.END_DATE IS '$ASETYPE=DATE';

CREATE TABLE <<TAB_QUAL>>.SLA_DAY (
       DAY_ID                 INTEGER NOT NULL,
       DAY_NAME               VARCHAR(15) NOT NULL,
       DESCRIPTION            VARCHAR(256),
       BUSINESS_HOURS         VARCHAR(96) NOT NULL,
       CONSTRAINT XPKSLA_DAY PRIMARY KEY (DAY_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.SLA_YEAR (
       CALENDAR_ID            INTEGER NOT NULL,
       DAY_ID                 INTEGER NOT NULL,
       YEAR_DAY               INTEGER NOT NULL,
       DAY_TYPE_NAME          VARCHAR(15),
       CONSTRAINT XPKSLA_YEAR PRIMARY KEY (CALENDAR_ID, DAY_ID, YEAR_DAY)
) <<ON_TABLE_SEGMENT>>;                          

CREATE TABLE <<TAB_QUAL>>.ACTIVE_SLA (
       ACTIVE_SLA_ID          INTEGER NOT NULL,
       TERM_ID                INTEGER,
       REFERENCE_ID           VARCHAR(15) NOT NULL,
       RELATIVE_TO            INTEGER NOT NULL,
       SLA_STATE              INTEGER NOT NULL,
       BREACH_DATE            DATE,
       BREACH_TIME            TIME,
       NEXT_SCHEDULE_ID       INTEGER,
       NEXT_FIRE_DATE         DATE,
       NEXT_FIRE_TIME         TIME,
       CONSTRAINT XPKACTIVE_SLA PRIMARY KEY (ACTIVE_SLA_ID)
) <<ON_TABLE_SEGMENT>>;
COMMENT ON COLUMN <<TAB_QUAL>>.ACTIVE_SLA.BREACH_DATE IS '$ASETYPE=DATE';
COMMENT ON COLUMN <<TAB_QUAL>>.ACTIVE_SLA.BREACH_TIME IS '$ASETYPE=TIME';
COMMENT ON COLUMN <<TAB_QUAL>>.ACTIVE_SLA.NEXT_FIRE_DATE IS '$ASETYPE=DATE';
COMMENT ON COLUMN <<TAB_QUAL>>.ACTIVE_SLA.NEXT_FIRE_TIME IS '$ASETYPE=TIME';
              
CREATE TABLE <<TAB_QUAL>>.BREACH_RELATIVE_TO (
       RELATIVE_TO             INTEGER NOT NULL,
       RELATION_NAME           VARCHAR(15) NOT NULL,
       TABLE_NAME              VARCHAR(30) NOT NULL,
       KEY_NAME                VARCHAR(30) NOT NULL,
       DATE_COL_NAME           VARCHAR(30) NOT NULL,
       TIME_COL_NAME           VARCHAR(30) NOT NULL,
       AUDIT_TABLE             VARCHAR(30) NOT NULL,
       CONSTRAINT XPKBREACH_RELATIVE PRIMARY KEY (RELATIVE_TO)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.SLA_DAY_TYPE (
       DAY_TYPE_ID             INTEGER NOT NULL,
       DAY_TYPE_NAME           VARCHAR(15) NOT NULL,
       CONSTRAINT XPKSLA_DAY_TYPE PRIMARY KEY (DAY_TYPE_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.SLA_AUDIT_LOG (
       REFERENCE_ID            VARCHAR(15) NOT NULL,
       RELATIVE_TO             INTEGER NOT NULL,
       USER_ID                 CHAR(15) NOT NULL,
       ENTRY_DATE              DATE NOT NULL,
       ENTRY_TIME              TIME NOT NULL,
       ENTRY_TYPE              VARCHAR(50) NOT NULL,
       ENTRY                   VARCHAR(254),
       ENTRY_VALUE             VARCHAR(15),
       MODIFY_DATETIME         INTEGER NOT NULL,
       ENTRY_OVRFLW            LONG VARCHAR,       
       CONSTRAINT XPKSLA_AUDIT_LOG PRIMARY KEY (REFERENCE_ID, RELATIVE_TO)
) <<ON_TABLE_SEGMENT>>;

#REM #############################
#REM Add foreign key constraints
#REM #############################

ALTER TABLE <<TAB_QUAL>>.SLA_TERM
 FOREIGN KEY R_131 (CALENDAR_ID)
			REFERENCES <<TAB_QUAL>>.SLA_CALENDAR
			ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.SLA_SCHEDULE
 FOREIGN KEY R_132 (TERM_ID)
			REFERENCES <<TAB_QUAL>>.SLA_TERM
			ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.SLA_ACTION
 FOREIGN KEY R_133 (EVENT_ID)
			REFERENCES <<TAB_QUAL>>.SLA_SCHEDULE
			ON DELETE RESTRICT;
               
               
ALTER TABLE <<TAB_QUAL>>.SLA_YEAR
 FOREIGN KEY R_134 (DAY_ID)
			REFERENCES <<TAB_QUAL>>.SLA_DAY
			ON DELETE RESTRICT;
               
ALTER TABLE <<TAB_QUAL>>.ACTIVE_SLA
 FOREIGN KEY R_135 (TERM_ID)
			REFERENCES <<TAB_QUAL>>.SLA_TERM
			ON DELETE RESTRICT;
               
               
ALTER TABLE <<TAB_QUAL>>.ACTIVE_SLA
 FOREIGN KEY R_136 (NEXT_SCHEDULE_ID)
			REFERENCES <<TAB_QUAL>>.SLA_SCHEDULE(EVENT_ID)
			ON DELETE RESTRICT;
               
ALTER TABLE <<TAB_QUAL>>.SLA_TERM
 FOREIGN KEY R_137 (RELATIVE_TO)
			REFERENCES <<TAB_QUAL>>.BREACH_RELATIVE_TO
			ON DELETE RESTRICT;
   
#REM #############################
#REM Create indices
#REM #############################

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK1SLA_TERM
  ON <<TAB_QUAL>>.SLA_TERM
(
	   TERM_NAME				ASC
);

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK1SLA_CALENDAR
  ON <<TAB_QUAL>>.SLA_CALENDAR
(
	   CALENDAR_NAME			ASC
);

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK1SLA_DAY
  ON <<TAB_QUAL>>.SLA_DAY
(
	   DAY_NAME     			ASC
);

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK1SLA_DAY_TYPE
  ON <<TAB_QUAL>>.SLA_DAY_TYPE
(
	   DAY_TYPE_NAME			ASC
);

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK1RELATIVE_TO
  ON <<TAB_QUAL>>.BREACH_RELATIVE_TO
(
	   RELATION_NAME			ASC
);

#REM #############################
#REM Insert initial data for SLA Module
#REM #############################

INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 1, '%!c_data[C_SUNDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 2, '%!c_data[C_MONDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 3, '%!c_data[C_TUESDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 4, '%!c_data[C_WEDNESDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 5, '%!c_data[C_THURSDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 6, '%!c_data[C_FRIDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 7, '%!c_data[C_SATURDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 8, '%!c_data[C_WEEKDAY_DB]');
INSERT INTO <<TAB_QUAL>>.SLA_DAY_TYPE VALUES( 9, '%!c_data[C_WEEKEND_DB]');

#REM (* ****************************************************************************************   
#REM    6.0-TSD-0014 Defect EQ21452
#REM    BREACH_RELATIVE_TO Entries differ between new and migrated tables.
#REM    RMS 25May00
#REM    **************************************************************************************** *)
#REM INSERT INTO <<TAB_QUAL>>.BREACH_RELATIVE_TO VALUES(1, '%!c_data[C_SLA_REL_NAME_1_DB]', 'PROBLEMS', 'PROBLEM_ID', 'OPEN_DATE', 'OPEN_TIME', 'SLA_AUDIT_LOG')
#REM INSERT INTO <<TAB_QUAL>>.BREACH_RELATIVE_TO VALUES(2, '%!c_data[C_SLA_REL_NAME_2_DB]', 'CALL', 'CALL_ID', 'CALL_BEGIN_DATE', 'CALL_BEGIN_TIME', 'SLA_AUDIT_LOG')

INSERT INTO <<TAB_QUAL>>.BREACH_RELATIVE_TO VALUES(1, '%!c_data[C_SLA_REL_NAME_1_DB]', 'PROBLEMS', 'PROBLEM_ID', 'OPEN_DATE', 'OPEN_TIME', 'SLA_AUDIT_LOG');
INSERT INTO <<TAB_QUAL>>.BREACH_RELATIVE_TO VALUES(2, '%!c_data[C_SLA_REL_NAME_2_DB]', 'PROB_TRANSFER', 'PROBLEM_ID', 'TRANSFER_DATE', 'TRANSFER_TIME', 'SLA_AUDIT_LOG');
INSERT INTO <<TAB_QUAL>>.BREACH_RELATIVE_TO VALUES(3, '%!c_data[C_SLA_REL_NAME_3_DB]', 'DISPATCH', 'CALL_ID', 'TRANSFER_DATE', 'TRANSFER_TIME', 'SLA_AUDIT_LOG');

#REM (* ****************************************************************************************   
#REM    END 6.0-TSD-0014 Defect EQ21452
#REM    **************************************************************************************** *)
INSERT INTO <<TAB_QUAL>>.SAI_APP_PARAMS VALUES(19, 'SLA_PARAMS', 'SLA_ENABLED', 'FALSE', 0);

INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('SLA_DAY', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('SLA_CALENDAR', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('SLA_TERM', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('SLA_EVENT', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('SLA_ACTION', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('ACTIVE_SLA', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES('BREACH_RELATIVE', 1);
