#Rem
#Rem $Header:   S:/ea3t/src/arc/eabuild/sybase10.tav   1.57   Nov 21 1997 10:44:34   MDSTEENB  $
#Rem
#Rem Desc: Sybase SQLServer 10 Table creation script for EABUILD program
#Rem

#REM Script executed if EFM is not installed

#REM
#REM Map SYNONYMS to DBCOMMON global variables
#REM
#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE ON_TABLE_SEGMENT {{DBCOMMON:GlobalTablespaceOptions}}
#DEFINE COMMAND_TERMINATOR ;

#REM Suppress 605 error for create index if index already exists
#REM Suppress 204 error for drop table if not exists
#REM Suppress 100 error for no data returned

#SUPPRESS -605
#SUPPRESS -204
#SUPPRESS -100
 
#REM
#REM  Replace script following this remark
#REM

#ECHO %!b_msgs[B_ECHO_CREATE_CONTRACT_COMMON]

CREATE TABLE <<TAB_QUAL>>.CONTRACT_STATUS
    (CONTRACT_STATUS_ID     INTEGER  NOT NULL,
    CONTRACT_STATUS         CHAR(18) NOT NULL,
    MODIFY_DATETIME         INTEGER,
    CONSTRAINT PK_CONTRACT_STATUS PRIMARY KEY (CONTRACT_STATUS_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.CONTRACT_ADDRESS
    (CONTRACT_ADR_ID        INTEGER NOT NULL,
    CONTRACT_ID             INTEGER NOT NULL,
    K_COMPANY               CHAR(30),
    K_POC                   CHAR(30),
    K_STREET                VARCHAR(254),
    K_CITY                  CHAR(30),
    K_STATE                 CHAR(30),
    K_ZIP                   CHAR(15),
    K_PHONE                 CHAR(20),
    K_FAX                   CHAR(20),
    K_ADDRESS_TYPE          INTEGER,
    MODIFY_DATETIME         INTEGER,
    CONSTRAINT PK_CONTRACT_ADR PRIMARY KEY (CONTRACT_ADR_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.CONTRACT_HISTORY
    (CONTRACT_HIST_ID       INTEGER NOT NULL,
    CONTRACT_ID             INTEGER NOT NULL,
    K_HIST_STR              CHAR(80),
    K_HIST_DATE             DATE,
    K_HIST_TIME             TIME,
    K_HIST_NOTES            VARCHAR(254),
    MODIFY_DATETIME         INTEGER,
    CONSTRAINT PK_CONTRACT_HIST PRIMARY KEY (CONTRACT_HIST_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.CONTRACT_MNT
    (CONTRACT_MNT_ID        INTEGER NOT NULL,
    CONTRACT_ID             INTEGER NOT NULL,
    EVENT_ID                INTEGER NOT NULL,
    K_MNT_DATE              DATE,
    K_MNT_TIME              TIME,
    K_MNT_EST_COST          FLOAT,
    K_MNT_ACT_COST          FLOAT,
    CURRENCY_CODE           CHAR(3) NOT NULL,
    K_TECH                  CHAR(30),
    MODIFY_DATETIME         INTEGER,
    CONSTRAINT PK_CONTRACT_MNT PRIMARY KEY (CONTRACT_MNT_ID)
) <<ON_TABLE_SEGMENT>>;


CREATE TABLE <<TAB_QUAL>>.CONTRACT
      (CONTRACT_ID              INTEGER NOT NULL,
       CONTRACT_NUMBER          CHAR(40) NOT NULL,
       CONTRACT_TYPE            CHAR(18) NOT NULL,
       VENDOR_ID                CHAR(15),
       PEOPLE_ID                INTEGER,
       MOD_LABEL                CHAR(18),             
       DATE_START               DATE,
       DATE_END                 DATE,
       TERMINATION_NOTICE       DATE,
       ACTIVE                   SMALLINT,
       CONTRACT_STATUS          CHAR(18),
       CONTRACT_NOTES           VARCHAR(254),
       CONTRACT_LOCATION        VARCHAR(254),
       CONTRACT_LOC_TYPE        INTEGER,
       SECONDARY_VENDOR         CHAR(15),
       PURCHASE_VENDOR          CHAR(15),
       WARRANTY_VENDOR          CHAR(15),
       MODIFY_DATETIME          INTEGER,                     
       CONSTRAINT PK_CONTRACT PRIMARY KEY (CONTRACT_ID)
) <<ON_TABLE_SEGMENT>>;

COMMENT ON COLUMN <<TAB_QUAL>>.CONTRACT.DATE_START IS '$ASETYPE=DATE';
COMMENT ON COLUMN <<TAB_QUAL>>.CONTRACT.DATE_END IS '$ASETYPE=DATE';
COMMENT ON COLUMN <<TAB_QUAL>>.CONTRACT.ACTIVE IS '$ASETYPE=BOOLEAN';
COMMENT ON COLUMN <<TAB_QUAL>>.CONTRACT.TERMINATION_NOTICE IS '$ASETYPE=DATE';

CREATE TABLE <<TAB_QUAL>>.CONTRACT_TYPES
      (CONTRACT_TYPE_ID         INTEGER NOT NULL,
       CONTRACT_TYPE            CHAR(18) NOT NULL,
       MODIFY_DATETIME          INTEGER,
       CONSTRAINT PK_CONTRACT_TYPES PRIMARY KEY (CONTRACT_TYPE_ID)
) <<ON_TABLE_SEGMENT>>;


CREATE TABLE <<TAB_QUAL>>.CURRENCY
      (CURRENCY_ID              INTEGER NOT NULL,
       CURRENCY_NAME            CHAR(25),
       COUNTRY                  CHAR(25),
       CURRENCY_CODE            CHAR(3) NOT NULL,
       COUNTRY_CODE             INTEGER,
       MODIFY_DATETIME          INTEGER,
       CONSTRAINT PK_CURRENCY PRIMARY KEY (CURRENCY_ID)
) <<ON_TABLE_SEGMENT>>;

#ECHO %!b_msgs[B_ECHO_CREATE_LOC_ORG_COMMON]

CREATE TABLE <<TAB_QUAL>>.LOCATION_TREE
      (PARENT                   CHAR(15) NOT NULL,
       CHILD                    CHAR(15) NOT NULL,
       MODIFY_DATETIME          INTEGER,
       CONSTRAINT PK_LOCATION_TREE PRIMARY KEY (PARENT, CHILD)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.ORGANIZATION
      (ORGANIZATION_ID          CHAR(15) NOT NULL,
       ORGANIZATION_NAME        CHAR(40) NOT NULL,
	   A_ORG_KNWLDG_MASK			INTEGER,
       FLX_ORG_VCHR1            VARCHAR(254),
       FLX_ORG_VCHR2            VARCHAR(254),
       MODIFY_DATETIME          INTEGER,
       CONSTRAINT PK_ORGANIZATION PRIMARY KEY (ORGANIZATION_ID)
) <<ON_TABLE_SEGMENT>>;

CREATE TABLE <<TAB_QUAL>>.ORGANIZATION_TREE
      (PARENT                   CHAR(15) NOT NULL,
       CHILD                    CHAR(15) NOT NULL,
       MODIFY_DATETIME          INTEGER,
       CONSTRAINT PK_ORGANIZATION_TR PRIMARY KEY (PARENT, CHILD)
) <<ON_TABLE_SEGMENT>>;


CREATE TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP
      (ORG_MEMBER_ID            INTEGER NOT NULL,
       PEOPLE_ID                INTEGER NOT NULL,
       ORGANIZATION_ID          CHAR(15) NOT NULL,
       TITLE_HOLDER             SMALLINT,
       MODIFY_DATETIME          INTEGER,
       DEFAULT_ORG              SMALLINT,
       CONSTRAINT PK_ORG_MEMBERSHIP PRIMARY KEY (ORG_MEMBER_ID)
) <<ON_TABLE_SEGMENT>>;

COMMENT ON COLUMN <<TAB_QUAL>>.ORG_MEMBERSHIP.TITLE_HOLDER IS '$ASETYPE=BOOLEAN';
COMMENT ON COLUMN <<TAB_QUAL>>.ORG_MEMBERSHIP.DEFAULT_ORG IS '$ASETYPE=BOOLEAN';

CREATE TABLE <<TAB_QUAL>>.EVENTS
      (EVENT_ID                 INTEGER NOT NULL,
       EVENT_NAME               VARCHAR(40) NOT NULL,
       EVENT_DESCRIPTION        VARCHAR(80),
       EVENT_TYPE               VARCHAR(40) NOT NULL,
       EVENT_OWNER              VARCHAR(20) NOT NULL,
       MODIFY_DATETIME          INTEGER NOT NULL,
       CONSTRAINT XPKEVENTS PRIMARY KEY (EVENT_ID)
) <<ON_TABLE_SEGMENT>>;


#ECHO %!b_msgs[B_ECHO_RENAME_NEW_PEOPLE_COMMON]

DROP TABLE <<TAB_QUAL>>.PEOPLE;

RENAME <<TAB_QUAL>>.NEW_PEOPLE TO PEOPLE
;


#REM #############################
#REM  Altering USERS table.
#REM #############################

#ECHO %!b_msgs[B_ECHO_ALTER_USERS_TABLE]

ALTER TABLE <<TAB_QUAL>>.USERS ADD TIMEZONE_ID CHAR(30);


#REM #############################
#REM  Create indices.
#REM #############################

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKCONTRACT_STS
#REM    ON <<TAB_QUAL>>.CONTRACT_STATUS
#REM  (
#REM  CONTRACT_STATUS_ID   ASC
#REM  );

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKCONTRACT_ADR
#REM    ON <<TAB_QUAL>>.CONTRACT_ADDRESS
#REM  (
#REM  CONTRACT_ADR_ID      ASC
#REM  );

CREATE INDEX <<TAB_QUAL>>.XIECONTRACT_ADDR
  ON <<TAB_QUAL>>.CONTRACT_ADDRESS
(
CONTRACT_ID          ASC
);

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKCONTRACT_HIST
#REM    ON <<TAB_QUAL>>.CONTRACT_HISTORY
#REM  (
#REM  CONTRACT_HIST_ID     ASC
#REM  );

CREATE INDEX <<TAB_QUAL>>.XIECONTRACT_HIST
  ON <<TAB_QUAL>>.CONTRACT_HISTORY
(
CONTRACT_ID          ASC
);

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKCONTRACT_MNT
#REM    ON <<TAB_QUAL>>.CONTRACT_MNT
#REM  (
#REM  CONTRACT_MNT_ID      ASC
#REM  );

CREATE INDEX <<TAB_QUAL>>.XIECONTRACT_MNT
  ON <<TAB_QUAL>>.CONTRACT_MNT
(
       CONTRACT_ID          ASC,
       EVENT_ID             ASC
);

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKLEASE
#REM    ON <<TAB_QUAL>>.CONTRACT
#REM  (
#REM         CONTRACT_ID          ASC
#REM  );

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAKCONTRACT
  ON <<TAB_QUAL>>.CONTRACT
(
       CONTRACT_NUMBER      ASC,
       MOD_LABEL            ASC,
       CONTRACT_TYPE        ASC,
       VENDOR_ID            ASC
);

CREATE INDEX <<TAB_QUAL>>.XIE1CONTRACT
  ON <<TAB_QUAL>>.CONTRACT
(
       ACTIVE                         ASC,
       VENDOR_ID                      ASC,
       CONTRACT_TYPE                  ASC
);

CREATE INDEX <<TAB_QUAL>>.XIE2CONTRACT
  ON <<TAB_QUAL>>.CONTRACT
(
       ACTIVE                         ASC,
       DATE_END                       DESC
);

CREATE INDEX <<TAB_QUAL>>.XIE3CONTRACT
  ON <<TAB_QUAL>>.CONTRACT
(
       ACTIVE                         ASC,
       CONTRACT_NUMBER                ASC,
       MOD_LABEL                      ASC,
       CONTRACT_TYPE                  ASC,
       VENDOR_ID                      ASC
);

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKContract_Types
#REM    ON <<TAB_QUAL>>.CONTRACT_TYPES
#REM  (
#REM         CONTRACT_TYPE_ID               ASC
#REM  );

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAKCONTRACT_TYPES
  ON <<TAB_QUAL>>.CONTRACT_TYPES
(
       CONTRACT_TYPE                  ASC
);

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKCURRENCY
#REM    ON <<TAB_QUAL>>.CURRENCY
#REM  (
#REM         CURRENCY_ID                    ASC
#REM  );

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAKCURRENCY
  ON <<TAB_QUAL>>.CURRENCY
(
       COUNTRY_CODE                  ASC
);


#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKBR_LOCATION
#REM    ON <<TAB_QUAL>>.LOCATION_TREE
#REM  (
#REM         PARENT                         ASC,
#REM         CHILD                          ASC
#REM  );

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKORGANIZATION
#REM    ON <<TAB_QUAL>>.ORGANIZATION
#REM  (
#REM         ORGANIZATION_ID                ASC
#REM  );

CREATE INDEX <<TAB_QUAL>>.XIEORGANIZATION
  ON <<TAB_QUAL>>.ORGANIZATION
(
       ORGANIZATION_NAME              ASC
);

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKORGANIZATION_TR
#REM    ON <<TAB_QUAL>>.ORGANIZATION_TREE
#REM  (
#REM         PARENT                         ASC,
#REM         CHILD                          ASC
#REM  );

#REM  CREATE UNIQUE INDEX <<TAB_QUAL>>.XPKORG_MEMBERSHIP
#REM    ON <<TAB_QUAL>>.ORG_MEMBERSHIP
#REM  (
#REM         ORG_MEMBER_ID                  ASC
#REM  );

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK1ORG_MEMBERSHIP
  ON <<TAB_QUAL>>.ORG_MEMBERSHIP
(
       PEOPLE_ID                      ASC,
       ORGANIZATION_ID                ASC
);

CREATE UNIQUE INDEX <<TAB_QUAL>>.XAK2ORG_MEMBERSHIP
  ON <<TAB_QUAL>>.ORG_MEMBERSHIP
(
       ORGANIZATION_ID                ASC,
       PEOPLE_ID                      ASC
);



#REM #############################
#REM  Insert Data
#REM #############################

#ECHO %!b_msgs[B_ECHO_INSERT_DATA_MIG_COMMON]

#Rem
#Rem Data for CONTRACT_TYPES table

INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (1, '%!c_data[C_CONTRACT_TYPE_1_DB]', NULL);
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (2, '%!c_data[C_CONTRACT_TYPE_2_DB]', NULL);
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (3, '%!c_data[C_CONTRACT_TYPE_3_DB]', NULL);
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (4, '%!c_data[C_CONTRACT_TYPE_4_DB]', NULL);
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (5, '%!c_data[C_CONTRACT_TYPE_5_DB]', NULL);
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (6, '%!c_data[C_CONTRACT_TYPE_6_DB]', NULL);

#Rem
#Rem Data for CONTRACT_STATUS table

INSERT INTO <<TAB_QUAL>>.CONTRACT_STATUS (CONTRACT_STATUS_ID, CONTRACT_STATUS) VALUES (1, '%!c_data[C_CONTRACT_STATUS_1_DB]');
INSERT INTO <<TAB_QUAL>>.CONTRACT_STATUS (CONTRACT_STATUS_ID, CONTRACT_STATUS) VALUES (2, '%!c_data[C_CONTRACT_STATUS_2_DB]');
INSERT INTO <<TAB_QUAL>>.CONTRACT_STATUS (CONTRACT_STATUS_ID, CONTRACT_STATUS) VALUES (3, '%!c_data[C_CONTRACT_STATUS_3_DB]');


#Rem
#Rem Data for CURRENCY table

INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (1, '%!c_data[C_CURRENCY_1_DB]', '%!c_data[C_COUNTRY_1_DB]','%!c_data[C_CURRENCY_CODE_1_DB]',43, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (2, '%!c_data[C_CURRENCY_2_DB]', '%!c_data[C_COUNTRY_2_DB]','%!c_data[C_CURRENCY_CODE_2_DB]',32, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (3, '%!c_data[C_CURRENCY_3_DB]', '%!c_data[C_COUNTRY_3_DB]','%!c_data[C_CURRENCY_CODE_3_DB]',2, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (5, '%!c_data[C_CURRENCY_4_DB]', '%!c_data[C_COUNTRY_4_DB]','%!c_data[C_CURRENCY_CODE_4_DB]',45, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (6, '%!c_data[C_CURRENCY_5_DB]', '%!c_data[C_COUNTRY_5_DB]','%!c_data[C_CURRENCY_CODE_5_DB]',44, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (7, '%!c_data[C_CURRENCY_6_DB]', '%!c_data[C_COUNTRY_6_DB]','%!c_data[C_CURRENCY_CODE_6_DB]',NULL, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (8, '%!c_data[C_CURRENCY_7_DB]', '%!c_data[C_COUNTRY_7_DB]','%!c_data[C_CURRENCY_CODE_7_DB]',358, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (9, '%!c_data[C_CURRENCY_8_DB]', '%!c_data[C_COUNTRY_8_DB]','%!c_data[C_CURRENCY_CODE_8_DB]',33, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (10, '%!c_data[C_CURRENCY_9_DB]', '%!c_data[C_COUNTRY_9_DB]','%!c_data[C_CURRENCY_CODE_9_DB]',49, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (11, '%!c_data[C_CURRENCY_10_DB]', '%!c_data[C_COUNTRY_10_DB]','%!c_data[C_CURRENCY_CODE_10_DB]',30, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (12, '%!c_data[C_CURRENCY_11_DB]', '%!c_data[C_COUNTRY_11_DB]','%!c_data[C_CURRENCY_CODE_11_DB]',852, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (13, '%!c_data[C_CURRENCY_12_DB]', '%!c_data[C_COUNTRY_12_DB]','%!c_data[C_CURRENCY_CODE_12_DB]',353, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (14, '%!c_data[C_CURRENCY_13_DB]', '%!c_data[C_COUNTRY_13_DB]','%!c_data[C_CURRENCY_CODE_13_DB]',39, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (15, '%!c_data[C_CURRENCY_14_DB]', '%!c_data[C_COUNTRY_14_DB]','%!c_data[C_CURRENCY_CODE_14_DB]',81, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (16, '%!c_data[C_CURRENCY_15_DB]', '%!c_data[C_COUNTRY_15_DB]','%!c_data[C_CURRENCY_CODE_15_DB]',442, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (17, '%!c_data[C_CURRENCY_16_DB]', '%!c_data[C_COUNTRY_16_DB]','%!c_data[C_CURRENCY_CODE_16_DB]',52, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (18, '%!c_data[C_CURRENCY_17_DB]', '%!c_data[C_COUNTRY_17_DB]','%!c_data[C_CURRENCY_CODE_17_DB]',31, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (19, '%!c_data[C_CURRENCY_18_DB]', '%!c_data[C_COUNTRY_18_DB]','%!c_data[C_CURRENCY_CODE_18_DB]',64, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (20, '%!c_data[C_CURRENCY_19_DB]', '%!c_data[C_COUNTRY_19_DB]','%!c_data[C_CURRENCY_CODE_19_DB]',47, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (21, '%!c_data[C_CURRENCY_20_DB]', '%!c_data[C_COUNTRY_20_DB]','%!c_data[C_CURRENCY_CODE_20_DB]',351, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (22, '%!c_data[C_CURRENCY_21_DB]', '%!c_data[C_COUNTRY_21_DB]','%!c_data[C_CURRENCY_CODE_21_DB]',785, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (23, '%!c_data[C_CURRENCY_22_DB]', '%!c_data[C_COUNTRY_22_DB]','%!c_data[C_CURRENCY_CODE_22_DB]',65, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (24, '%!c_data[C_CURRENCY_23_DB]', '%!c_data[C_COUNTRY_23_DB]','%!c_data[C_CURRENCY_CODE_23_DB]',34, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (25, '%!c_data[C_CURRENCY_24_DB]', '%!c_data[C_COUNTRY_24_DB]','%!c_data[C_CURRENCY_CODE_24_DB]',27, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (26, '%!c_data[C_CURRENCY_25_DB]', '%!c_data[C_COUNTRY_25_DB]','%!c_data[C_CURRENCY_CODE_25_DB]',41, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (27, '%!c_data[C_CURRENCY_26_DB]', '%!c_data[C_COUNTRY_26_DB]','%!c_data[C_CURRENCY_CODE_26_DB]',46, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (28, '%!c_data[C_CURRENCY_27_DB]', '%!c_data[C_COUNTRY_27_DB]','%!c_data[C_CURRENCY_CODE_27_DB]',1, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (29, '%!c_data[C_CURRENCY_28_DB]', '%!c_data[C_COUNTRY_28_DB]','%!c_data[C_CURRENCY_CODE_28_DB]',82, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (30, '%!c_data[C_CURRENCY_29_DB]', '%!c_data[C_COUNTRY_29_DB]','%!c_data[C_CURRENCY_CODE_29_DB]',86, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (31, '%!c_data[C_CURRENCY_30_DB]', '%!c_data[C_COUNTRY_30_DB]','%!c_data[C_CURRENCY_CODE_30_DB]',886, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (32, '%!c_data[C_CURRENCY_31_DB]', '%!c_data[C_COUNTRY_31_DB]','%!c_data[C_CURRENCY_CODE_31_DB]',874, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (33, '%!c_data[C_CURRENCY_32_DB]', '%!c_data[C_COUNTRY_32_DB]','%!c_data[C_CURRENCY_CODE_32_DB]',864, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (34, '%!c_data[C_CURRENCY_33_DB]', '%!c_data[C_COUNTRY_33_DB]','%!c_data[C_CURRENCY_CODE_33_DB]',437, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (35, '%!c_data[C_CURRENCY_34_DB]', '%!c_data[C_COUNTRY_34_DB]','%!c_data[C_CURRENCY_CODE_34_DB]',60, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (36, '%!c_data[C_CURRENCY_35_DB]', '%!c_data[C_COUNTRY_35_DB]','%!c_data[C_CURRENCY_CODE_35_DB]',91, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (37, '%!c_data[C_CURRENCY_36_DB]', '%!c_data[C_COUNTRY_36_DB]','%!c_data[C_CURRENCY_CODE_36_DB]',61, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (38, '%!c_data[C_CURRENCY_37_DB]', '%!c_data[C_COUNTRY_37_DB]','%!c_data[C_CURRENCY_CODE_37_DB]',936, NULL);
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (39, '%!c_data[C_CURRENCY_38_DB]', '%!c_data[C_COUNTRY_38_DB]','%!c_data[C_CURRENCY_CODE_38_DB]',850, NULL);

INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_STATUS', 4);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_TYPES', 7);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_HIST', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_MNT', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_ADRESS', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CURRENCY', 45);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('ORGANIZATION', 1);
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('ORG_MEMBERSHIP', 1);

INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (1, '%!c_data[C_EVENT_AUDITED_DB]', '%!c_data[C_EVENT_DESC_AUDITED_DB]', '%!c_data[C_EVENT_TYPE_AUDITED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (2, '%!c_data[C_EVENT_DISPOSED_DB]', '%!c_data[C_EVENT_DESC_DISPOSED_DB]', '%!c_data[C_EVENT_TYPE_DISPOSED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (3, '%!c_data[C_EVENT_INSTALLED_DB]', '%!c_data[C_EVENT_DESC_INSTALLED_DB]', '%!c_data[C_EVENT_TYPE_INSTALLED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (4, '%!c_data[C_EVENT_LOST_DB]', '%!c_data[C_EVENT_DESC_LOST_DB]', '%!c_data[C_EVENT_TYPE_LOST_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (5, '%!c_data[C_EVENT_MAINTENANCE_DB]', '%!c_data[C_EVENT_DESC_MAINTENANCE_DB]', '%!c_data[C_EVENT_TYPE_MAINTENANCE_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (6, '%!c_data[C_EVENT_MISSING_DB]', '%!c_data[C_EVENT_DESC_MISSING_DB]', '%!c_data[C_EVENT_TYPE_MISSING_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (7, '%!c_data[C_EVENT_MOVED_DB]', '%!c_data[C_EVENT_DESC_MOVED_DB]', '%!c_data[C_EVENT_TYPE_MOVED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (8, '%!c_data[C_EVENT_OPERATIONAL_DB]', '%!c_data[C_EVENT_DESC_OPERATIONAL_DB]', '%!c_data[C_EVENT_TYPE_OPERATIONAL_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (9, '%!c_data[C_EVENT_RECEIVED_DB]', '%!c_data[C_EVENT_DESC_RECEIVED_DB]', '%!c_data[C_EVENT_TYPE_RECEIVED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (10, '%!c_data[C_EVENT_STORAGE_DB]', '%!c_data[C_EVENT_DESC_STORAGE_DB]', '%!c_data[C_EVENT_TYPE_STORAGE_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (11, '%!c_data[C_EVENT_AFFECT_BY_CHG_DB]', '%!c_data[C_EVENT_DESC_AFFECT_BY_CHG_DB]', '%!c_data[C_EVENT_TYPE_AFFECT_BY_CHG_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (12, '%!c_data[C_EVENT_ADDED_DB]', '%!c_data[C_EVENT_DESC_ADDED_DB]', '%!c_data[C_EVENT_TYPE_ADDED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (13, '%!c_data[C_EVENT_REMOVED_DB]', '%!c_data[C_EVENT_DESC_REMOVED_DB]', '%!c_data[C_EVENT_TYPE_REMOVED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0);


#REM #############################
#REM  Updating PEOPLE_ID
#REM #############################

#ECHO %!b_msgs[B_ECHO_UPD_PEO_NUG_EWUSR_COMMON]

UPDATE <<TAB_QUAL>>.NOTIFY_USER_GROUP
SET PEOPLE_ID =
(SELECT PEOPLE_ID 
FROM <<TAB_QUAL>>.PEOPLE_LOCATION A
WHERE USER_GROUP_ID = A.CONTACT_ID 
AND <<TAB_QUAL>>.NOTIFY_USER_GROUP.LOCATION_ID = A.LOCATION_ID );
   
UPDATE <<TAB_QUAL>>.NOTIFY_USER_GROUP
SET PEOPLE_ID =
(SELECT PEOPLE_ID 
FROM <<TAB_QUAL>>.USERS A
WHERE USER_GROUP_ID = A.USER_ID )
#REM (* ****************************************************************************************   
#REM    6.0-TSD-0014 Defect EQ21007
#REM    NOTIFY_USER_GROUP.PEOPLE_ID Updated to NULL by people migration
#REM    RMS 31May00
#REM    **************************************************************************************** *)
	 WHERE PEOPLE_ID IS NULL;
#REM (* ****************************************************************************************   
#REM    END 6.0-TSD-0014 Defect EQ21007
#REM    **************************************************************************************** *)

UPDATE <<TAB_QUAL>>.EWEB_USER_RIGHTS
SET PEOPLE_ID =
(SELECT PEOPLE_ID
FROM <<TAB_QUAL>>.PEOPLE A
WHERE A.ACCESS_ID = <<TAB_QUAL>>.EWEB_USER_RIGHTS.WEB_ID )
WHERE PEOPLE_ID = -1;


#REM #############################
#REM  Adding foreign key constraints
#REM #############################

#ECHO %!b_msgs[B_ECHO_ADD_FK_TRIGGERS_COMMON]

ALTER TABLE <<TAB_QUAL>>.USERS
 FOREIGN KEY R_130 (TIMEZONE_ID)
			REFERENCES <<TAB_QUAL>>.TIMEZONES
			ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.CONTRACT
 FOREIGN KEY I_28 (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP
 FOREIGN KEY I_29 (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.USERS
 FOREIGN KEY R_126 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.PEOPLE_LOCATION
 FOREIGN KEY R_127 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.PEOPLE_LOCATION
 FOREIGN KEY R_128 (LOCATION_ID)
			REFERENCES <<TAB_QUAL>>.LOCATION
			ON DELETE RESTRICT;
               
ALTER TABLE <<TAB_QUAL>>.NOTIFY_USER_GROUP
 FOREIGN KEY R_129 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;
               
ALTER TABLE <<TAB_QUAL>>.CONTRACT_MNT
  FOREIGN KEY I_168 (CONTRACT_ID)
               REFERENCES <<TAB_QUAL>>.CONTRACT
               ON DELETE CASCADE;


ALTER TABLE <<TAB_QUAL>>.CONTRACT_HISTORY
  FOREIGN KEY I_166 (CONTRACT_ID)
               REFERENCES <<TAB_QUAL>>.CONTRACT
               ON DELETE CASCADE;


ALTER TABLE <<TAB_QUAL>>.CONTRACT_ADDRESS
  FOREIGN KEY I_165 (CONTRACT_ID)
               REFERENCES <<TAB_QUAL>>.CONTRACT
               ON DELETE CASCADE;
               
ALTER TABLE <<TAB_QUAL>>.CONTRACT
 FOREIGN KEY I_32 (VENDOR_ID)
               REFERENCES <<TAB_QUAL>>.VENDOR 
               ON DELETE RESTRICT ;


ALTER TABLE <<TAB_QUAL>>.CONTRACT
 FOREIGN KEY I_33 (SECONDARY_VENDOR)
               REFERENCES <<TAB_QUAL>>.VENDOR 
               ON DELETE RESTRICT ;


ALTER TABLE <<TAB_QUAL>>.CONTRACT
 FOREIGN KEY I_34 (PURCHASE_VENDOR)
               REFERENCES <<TAB_QUAL>>.VENDOR 
               ON DELETE RESTRICT ;

ALTER TABLE <<TAB_QUAL>>.CONTRACT
 FOREIGN KEY I_35 (WARRANTY_VENDOR)
               REFERENCES <<TAB_QUAL>>.VENDOR 
               ON DELETE RESTRICT ;

ALTER TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP
 FOREIGN KEY I_30 (ORGANIZATION_ID)
               REFERENCES <<TAB_QUAL>>.ORGANIZATION
               ON DELETE CASCADE;
               
ALTER TABLE <<TAB_QUAL>>.EWEB_USER_RIGHTS
 FOREIGN KEY W_1 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;
               
ALTER TABLE <<TAB_QUAL>>.EWEB_ORG_RIGHTS
 FOREIGN KEY W_3 (ORGANIZATION_ID)
			REFERENCES <<TAB_QUAL>>.ORGANIZATION
			ON DELETE CASCADE;
               
#REM #############################
#REM  Drop constraints 61, 110, 121.
#REM #############################

ALTER TABLE <<TAB_QUAL>>.CONTACTS
    DROP CONSTRAINT R_61;

ALTER TABLE <<TAB_QUAL>>.CALL
    DROP CONSTRAINT R_110;

ALTER TABLE <<TAB_QUAL>>.PROBLEMS
    DROP CONSTRAINT R_121;

#REM #############################
#REM  Creating user_view for user password migration
#REM #############################

DROP VIEW <<TAB_QUAL>>.TMP2_USER_VIEW;
DROP TABLE <<TAB_QUAL>>.TMP2_USERS;

CREATE TABLE <<TAB_QUAL>>.TMP2_USERS
     (USER_ID                 CHAR(15) NOT NULL,
      LOGICAL_DELETE          INTEGER,
      CONSTRAINT XPKTMP2_USERS PRIMARY KEY (USER_ID) 
      ) <<ON_TABLE_SEGMENT>>;

INSERT INTO <<TAB_QUAL>>.TMP2_USERS (USER_ID )
        SELECT USER_ID FROM <<TAB_QUAL>>.USERS;
        
UPDATE <<TAB_QUAL>>.TMP2_USERS SET LOGICAL_DELETE = 0;

CREATE VIEW <<TAB_QUAL>>.TMP2_USER_VIEW
  (USER_ID,
   USER_PASSWORD,
   LOGICAL_DELETE,
   SITE_ID)
AS SELECT
   A.USER_ID,
   A.USER_PASSWORD,
   B.LOGICAL_DELETE,
   A.SITE_ID
 FROM <<TAB_QUAL>>.USERS A, <<TAB_QUAL>>.TMP2_USERS B
 WHERE A.USER_ID=B.USER_ID
;











