#Rem
#Rem $Header:   S:/ea3t/src/arc/eabuild/sybase10.tav   1.57   Nov 21 1997 10:44:34   MDSTEENB  $
#Rem
#Rem Desc: Sybase SQLServer 10 Table creation script for EABUILD program
#Rem

#REM Script executed if EFM is not installed

#REM
#REM Map SYNONYMS to DBCOMMON global variables
#REM
#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE ON_TABLE_SEGMENT {{DBCOMMON:GlobalTableLocation}}
#DEFINE ON_INDEX_SEGMENT {{DBCOMMON:GlobalIndexLocation}}
#DEFINE PK_INDEX_CLAUSE {{DBCOMMON:GlobalIndexLocation}}
#DEFINE COMMAND_TERMINATOR GO
#DEFINE COMMAND_TERMINATION_MODE START_OF_LINE

#REM Error -100 No data is being returned.
#REM Error -3701 will be returned if the table cannot be dropped because it does not exist
#REM Error -3731, -3728  will be returned if the constraint does not already exist.
#REM Error -2714 occurs when engine tries to create an object which already exists.

#SUPPRESS -100
#SUPPRESS -3701
#SUPPRESS -3731
#SUPPRESS -3728
#SUPPRESS -2714

#ECHO %!b_msgs[B_ECHO_CREATE_CONTRACT_COMMON]

CREATE TABLE <<TAB_QUAL>>.CONTRACT_STATUS
       (CONTRACT_STATUS_ID       INTEGER NOT NULL,
        CONTRACT_STATUS          CHAR(18) NOT NULL,
        MODIFY_DATETIME          INTEGER NULL,
        CONSTRAINT PK_CONTRACT_STATUS PRIMARY KEY (CONTRACT_STATUS_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>

go

CREATE TABLE <<TAB_QUAL>>.CONTRACT_ADDRESS
       (CONTRACT_ADR_ID          INTEGER        NOT NULL,
        CONTRACT_ID              INTEGER        NOT NULL,
        K_COMPANY                CHAR(30)       NULL,
        K_POC                    CHAR(30)       NULL,
        K_STREET                 VARCHAR(254)   NULL,
        K_CITY                   CHAR(30)       NULL,
        K_STATE                  CHAR(30)       NULL,
        K_ZIP                    CHAR(15)       NULL,
        K_PHONE                  CHAR(20)       NULL,
        K_FAX                    CHAR(20)       NULL,
        K_ADDRESS_TYPE           INTEGER        NULL,
        MODIFY_DATETIME          INTEGER        NULL,
        CONSTRAINT PK_CONTRACT_ADDRESS PRIMARY KEY (CONTRACT_ADR_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go


CREATE TABLE <<TAB_QUAL>>.CONTRACT_HISTORY
       (CONTRACT_HIST_ID         INTEGER        NOT NULL,
        CONTRACT_ID              INTEGER        NOT NULL,
        K_HIST_STR               CHAR(80)       NULL,
        K_HIST_DATE              DATE           NULL,
        K_HIST_TIME              TIME           NULL,
        K_HIST_NOTES             VARCHAR(254)   NULL,
        MODIFY_DATETIME          INTEGER        NULL,
        CONSTRAINT PK_CONTRACT_HISTORY PRIMARY KEY (CONTRACT_HIST_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go


CREATE TABLE <<TAB_QUAL>>.CONTRACT_MNT
       (CONTRACT_MNT_ID          INTEGER        NOT NULL,
        CONTRACT_ID              INTEGER        NOT NULL,
        EVENT_ID                 INTEGER        NOT NULL,
        K_MNT_DATE               DATE           NULL,
        K_MNT_TIME               TIME           NULL,
        K_MNT_EST_COST           FLOAT          NULL,
        K_MNT_ACT_COST           FLOAT          NULL,
        CURRENCY_CODE            CHAR(3)        NOT NULL,
        K_TECH                   CHAR(30)       NULL,
        MODIFY_DATETIME          INTEGER        NULL,
        CONSTRAINT PK_CONTRACT_MNT PRIMARY KEY (CONTRACT_MNT_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go

 CREATE TABLE <<TAB_QUAL>>.CONTRACT
       (CONTRACT_ID              INT            NOT NULL,
        CONTRACT_NUMBER          CHAR(40)       NOT NULL,
        CONTRACT_TYPE            CHAR(18)       NOT NULL,
        VENDOR_ID                CHAR(15)       NULL,
        PEOPLE_ID                INTEGER        NULL,
        MOD_LABEL                CHAR(18)       NULL,
        DATE_START               DATE           NULL,
        DATE_END                 DATE           NULL,
        TERMINATION_NOTICE       DATE           NULL,
        ACTIVE                   BOOLEAN        NULL,
        CONTRACT_STATUS          CHAR(18)       NULL,
        CONTRACT_NOTES           VARCHAR(254)   NULL,
        CONTRACT_LOCATION        VARCHAR(254)   NULL,
        CONTRACT_LOC_TYPE        INTEGER        NULL,
        SECONDARY_VENDOR         CHAR(15)       NULL,
        PURCHASE_VENDOR          CHAR(15)       NULL,
        WARRANTY_VENDOR          CHAR(15)       NULL,
        MODIFY_DATETIME          INTEGER        NULL,
        CONSTRAINT PK_CONTRACT PRIMARY KEY (CONTRACT_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go
 

 CREATE TABLE <<TAB_QUAL>>.CONTRACT_TYPES
       (CONTRACT_TYPE_ID         INTEGER    NOT NULL,
        CONTRACT_TYPE            CHAR(18)   NOT NULL,
        MODIFY_DATETIME          INTEGER    NULL,
        CONSTRAINT PK_CONTRACT_TYPES PRIMARY KEY (CONTRACT_TYPE_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go
 

 CREATE TABLE <<TAB_QUAL>>.CURRENCY
       (CURRENCY_ID              INTEGER    NOT NULL,
        CURRENCY_NAME            CHAR(25)   NULL,
        COUNTRY                  CHAR(25)   NULL,
        CURRENCY_CODE            CHAR(3)    NOT NULL,
        COUNTRY_CODE             INTEGER    NULL,
        MODIFY_DATETIME          INTEGER    NULL,
        CONSTRAINT PK_CURRENCY PRIMARY KEY (CURRENCY_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go

#ECHO %!b_msgs[B_ECHO_CREATE_LOC_ORG_COMMON]

 CREATE TABLE <<TAB_QUAL>>.LOCATION_TREE
       (PARENT                   CHAR(15)   NOT NULL,
        CHILD                    CHAR(15)   NOT NULL,
        MODIFY_DATETIME          INTEGER    NULL,
        CONSTRAINT PK_LOCATION_TREE PRIMARY KEY (PARENT, CHILD) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go


 CREATE TABLE <<TAB_QUAL>>.ORGANIZATION
       (ORGANIZATION_ID          CHAR(15)       NOT NULL,
        ORGANIZATION_NAME        CHAR(40)       NOT NULL,
        A_ORG_KNWLDG_MASK          INTEGER        NULL,        
        FLX_ORG_VCHR1            VARCHAR(254)   NULL,
        FLX_ORG_VCHR2            VARCHAR(254)   NULL,
        MODIFY_DATETIME          INTEGER        NULL,
        CONSTRAINT PK_ORGANIZATION PRIMARY KEY (ORGANIZATION_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go
 
 CREATE TABLE <<TAB_QUAL>>.ORGANIZATION_TREE
       (PARENT                   CHAR(15)   NOT NULL,
        CHILD                    CHAR(15)   NOT NULL,
        MODIFY_DATETIME          INTEGER    NULL,
        CONSTRAINT PK_ORGANIZATION_TREE PRIMARY KEY (PARENT, CHILD) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go
 

 CREATE TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP
       (ORG_MEMBER_ID            INTEGER NOT NULL,
        PEOPLE_ID                INTEGER NOT NULL,
        ORGANIZATION_ID          CHAR(15) NOT NULL,
        TITLE_HOLDER             BOOLEAN NULL,
        MODIFY_DATETIME          INTEGER NULL,
        DEFAULT_ORG              BOOLEAN NULL,
        CONSTRAINT PK_ORG_MEMBERSHIP PRIMARY KEY (ORG_MEMBER_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go

 CREATE TABLE <<TAB_QUAL>>.EVENTS
       (EVENT_ID                 INT NOT NULL,
        EVENT_NAME               VARCHAR(40) NOT NULL,
        EVENT_DESCRIPTION        VARCHAR(80) NULL,
        EVENT_TYPE               VARCHAR(40) NOT NULL,
        EVENT_OWNER              VARCHAR(20) NOT NULL,
        MODIFY_DATETIME          INTEGER NOT NULL,
        CONSTRAINT XPKEVENTS PRIMARY KEY (EVENT_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go

#ECHO %!b_msgs[B_ECHO_RENAME_NEW_PEOPLE_COMMON]

DROP TABLE <<TAB_QUAL>>.PEOPLE
go

sp_rename NEW_PEOPLE, PEOPLE
go


#REM #############################
#REM  Altering USERS table.
#REM #############################

#ECHO %!b_msgs[B_ECHO_ALTER_USERS_TABLE]

ALTER TABLE <<TAB_QUAL>>.USERS ADD TIMEZONE_ID CHAR(30) NULL
go


#REM #############################
#REM  Create indices.
#REM #############################

CREATE INDEX XIECONTRACT_ADDR
  ON <<TAB_QUAL>>.CONTRACT_ADDRESS
(
       CONTRACT_ID                    
) <<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIECONTRACT_HIST
  ON <<TAB_QUAL>>.CONTRACT_HISTORY
(
       CONTRACT_ID   
)<<ON_INDEX_SEGMENT>>
go

CREATE INDEX XIECONTRACT_MNT
  ON <<TAB_QUAL>>.CONTRACT_MNT
(
       CONTRACT_ID ,
       EVENT_ID             
) <<ON_INDEX_SEGMENT>>
go

 CREATE UNIQUE INDEX XAKCONTRACT
   ON <<TAB_QUAL>>.CONTRACT
 (
        CONTRACT_NUMBER,
        MOD_LABEL,
        CONTRACT_TYPE,
        VENDOR_ID
 ) <<ON_INDEX_SEGMENT>>
go

 CREATE INDEX XIE1CONTRACT
   ON <<TAB_QUAL>>.CONTRACT
 (
        ACTIVE,
        VENDOR_ID,
        CONTRACT_TYPE
 ) <<ON_INDEX_SEGMENT>>
go
 
 CREATE INDEX XIE2CONTRACT
   ON <<TAB_QUAL>>.CONTRACT
 (
        ACTIVE,
        DATE_END
 ) <<ON_INDEX_SEGMENT>>
go

 CREATE INDEX XIE3CONTRACT
   ON <<TAB_QUAL>>.CONTRACT
 (
        ACTIVE,
        CONTRACT_NUMBER,
        MOD_LABEL,
        CONTRACT_TYPE,
        VENDOR_ID
 ) <<ON_INDEX_SEGMENT>>
go

 
 CREATE UNIQUE INDEX XAKCONTRACT_TYPES
   ON <<TAB_QUAL>>.CONTRACT_TYPES
 (
        CONTRACT_TYPE
 ) <<ON_INDEX_SEGMENT>>
go
 
 CREATE UNIQUE INDEX XAKCURRENCY
   ON <<TAB_QUAL>>.CURRENCY
 (
        COUNTRY_CODE
 ) <<ON_INDEX_SEGMENT>>
go
 
 CREATE INDEX XIEORGANIZATION
   ON <<TAB_QUAL>>.ORGANIZATION
 (
        ORGANIZATION_NAME
 ) <<ON_INDEX_SEGMENT>>
go
 
 CREATE UNIQUE INDEX XAK1ORG_MEMBERSHIP
   ON <<TAB_QUAL>>.ORG_MEMBERSHIP
 (
        PEOPLE_ID,
        ORGANIZATION_ID
 ) <<ON_INDEX_SEGMENT>>
go
 
 CREATE UNIQUE INDEX XAK2ORG_MEMBERSHIP
   ON <<TAB_QUAL>>.ORG_MEMBERSHIP
 (
        ORGANIZATION_ID,
        PEOPLE_ID
 ) <<ON_INDEX_SEGMENT>>
go


#REM #############################
#REM  Insert Data
#REM #############################

#ECHO %!b_msgs[B_ECHO_INSERT_DATA_MIG_COMMON]

#Rem
#Rem Data for CONTRACT_TYPES table

INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (1, '%!c_data[C_CONTRACT_TYPE_1_DB]', NULL)
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (2, '%!c_data[C_CONTRACT_TYPE_2_DB]', NULL)
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (3, '%!c_data[C_CONTRACT_TYPE_3_DB]', NULL)
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (4, '%!c_data[C_CONTRACT_TYPE_4_DB]', NULL)
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (5, '%!c_data[C_CONTRACT_TYPE_5_DB]', NULL)
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_TYPES VALUES (6, '%!c_data[C_CONTRACT_TYPE_6_DB]', NULL)
go

#Rem
#Rem Data for CONTRACT_STATUS table

INSERT INTO <<TAB_QUAL>>.CONTRACT_STATUS (CONTRACT_STATUS_ID, CONTRACT_STATUS) VALUES (1, '%!c_data[C_CONTRACT_STATUS_1_DB]')
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_STATUS (CONTRACT_STATUS_ID, CONTRACT_STATUS) VALUES (2, '%!c_data[C_CONTRACT_STATUS_2_DB]')
go
INSERT INTO <<TAB_QUAL>>.CONTRACT_STATUS (CONTRACT_STATUS_ID, CONTRACT_STATUS) VALUES (3, '%!c_data[C_CONTRACT_STATUS_3_DB]')
go


#Rem
#Rem Data for CURRENCY table

INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (1, '%!c_data[C_CURRENCY_1_DB]', '%!c_data[C_COUNTRY_1_DB]','%!c_data[C_CURRENCY_CODE_1_DB]',43, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (2, '%!c_data[C_CURRENCY_2_DB]', '%!c_data[C_COUNTRY_2_DB]','%!c_data[C_CURRENCY_CODE_2_DB]',32, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (3, '%!c_data[C_CURRENCY_3_DB]', '%!c_data[C_COUNTRY_3_DB]','%!c_data[C_CURRENCY_CODE_3_DB]',2, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (5, '%!c_data[C_CURRENCY_4_DB]', '%!c_data[C_COUNTRY_4_DB]','%!c_data[C_CURRENCY_CODE_4_DB]',45, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (6, '%!c_data[C_CURRENCY_5_DB]', '%!c_data[C_COUNTRY_5_DB]','%!c_data[C_CURRENCY_CODE_5_DB]',44, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (7, '%!c_data[C_CURRENCY_6_DB]', '%!c_data[C_COUNTRY_6_DB]','%!c_data[C_CURRENCY_CODE_6_DB]',NULL, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (8, '%!c_data[C_CURRENCY_7_DB]', '%!c_data[C_COUNTRY_7_DB]','%!c_data[C_CURRENCY_CODE_7_DB]',358, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (9, '%!c_data[C_CURRENCY_8_DB]', '%!c_data[C_COUNTRY_8_DB]','%!c_data[C_CURRENCY_CODE_8_DB]',33, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (10, '%!c_data[C_CURRENCY_9_DB]', '%!c_data[C_COUNTRY_9_DB]','%!c_data[C_CURRENCY_CODE_9_DB]',49, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (11, '%!c_data[C_CURRENCY_10_DB]', '%!c_data[C_COUNTRY_10_DB]','%!c_data[C_CURRENCY_CODE_10_DB]',30, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (12, '%!c_data[C_CURRENCY_11_DB]', '%!c_data[C_COUNTRY_11_DB]','%!c_data[C_CURRENCY_CODE_11_DB]',852, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (13, '%!c_data[C_CURRENCY_12_DB]', '%!c_data[C_COUNTRY_12_DB]','%!c_data[C_CURRENCY_CODE_12_DB]',353, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (14, '%!c_data[C_CURRENCY_13_DB]', '%!c_data[C_COUNTRY_13_DB]','%!c_data[C_CURRENCY_CODE_13_DB]',39, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (15, '%!c_data[C_CURRENCY_14_DB]', '%!c_data[C_COUNTRY_14_DB]','%!c_data[C_CURRENCY_CODE_14_DB]',81, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (16, '%!c_data[C_CURRENCY_15_DB]', '%!c_data[C_COUNTRY_15_DB]','%!c_data[C_CURRENCY_CODE_15_DB]',442, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (17, '%!c_data[C_CURRENCY_16_DB]', '%!c_data[C_COUNTRY_16_DB]','%!c_data[C_CURRENCY_CODE_16_DB]',52, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (18, '%!c_data[C_CURRENCY_17_DB]', '%!c_data[C_COUNTRY_17_DB]','%!c_data[C_CURRENCY_CODE_17_DB]',31, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (19, '%!c_data[C_CURRENCY_18_DB]', '%!c_data[C_COUNTRY_18_DB]','%!c_data[C_CURRENCY_CODE_18_DB]',64, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (20, '%!c_data[C_CURRENCY_19_DB]', '%!c_data[C_COUNTRY_19_DB]','%!c_data[C_CURRENCY_CODE_19_DB]',47, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (21, '%!c_data[C_CURRENCY_20_DB]', '%!c_data[C_COUNTRY_20_DB]','%!c_data[C_CURRENCY_CODE_20_DB]',351, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (22, '%!c_data[C_CURRENCY_21_DB]', '%!c_data[C_COUNTRY_21_DB]','%!c_data[C_CURRENCY_CODE_21_DB]',785, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (23, '%!c_data[C_CURRENCY_22_DB]', '%!c_data[C_COUNTRY_22_DB]','%!c_data[C_CURRENCY_CODE_22_DB]',65, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (24, '%!c_data[C_CURRENCY_23_DB]', '%!c_data[C_COUNTRY_23_DB]','%!c_data[C_CURRENCY_CODE_23_DB]',34, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (25, '%!c_data[C_CURRENCY_24_DB]', '%!c_data[C_COUNTRY_24_DB]','%!c_data[C_CURRENCY_CODE_24_DB]',27, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (26, '%!c_data[C_CURRENCY_25_DB]', '%!c_data[C_COUNTRY_25_DB]','%!c_data[C_CURRENCY_CODE_25_DB]',41, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (27, '%!c_data[C_CURRENCY_26_DB]', '%!c_data[C_COUNTRY_26_DB]','%!c_data[C_CURRENCY_CODE_26_DB]',46, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (28, '%!c_data[C_CURRENCY_27_DB]', '%!c_data[C_COUNTRY_27_DB]','%!c_data[C_CURRENCY_CODE_27_DB]',1, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (29, '%!c_data[C_CURRENCY_28_DB]', '%!c_data[C_COUNTRY_28_DB]','%!c_data[C_CURRENCY_CODE_28_DB]',82, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (30, '%!c_data[C_CURRENCY_29_DB]', '%!c_data[C_COUNTRY_29_DB]','%!c_data[C_CURRENCY_CODE_29_DB]',86, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (31, '%!c_data[C_CURRENCY_30_DB]', '%!c_data[C_COUNTRY_30_DB]','%!c_data[C_CURRENCY_CODE_30_DB]',886, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (32, '%!c_data[C_CURRENCY_31_DB]', '%!c_data[C_COUNTRY_31_DB]','%!c_data[C_CURRENCY_CODE_31_DB]',874, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (33, '%!c_data[C_CURRENCY_32_DB]', '%!c_data[C_COUNTRY_32_DB]','%!c_data[C_CURRENCY_CODE_32_DB]',864, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (34, '%!c_data[C_CURRENCY_33_DB]', '%!c_data[C_COUNTRY_33_DB]','%!c_data[C_CURRENCY_CODE_33_DB]',437, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (35, '%!c_data[C_CURRENCY_34_DB]', '%!c_data[C_COUNTRY_34_DB]','%!c_data[C_CURRENCY_CODE_34_DB]',60, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (36, '%!c_data[C_CURRENCY_35_DB]', '%!c_data[C_COUNTRY_35_DB]','%!c_data[C_CURRENCY_CODE_35_DB]',91, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (37, '%!c_data[C_CURRENCY_36_DB]', '%!c_data[C_COUNTRY_36_DB]','%!c_data[C_CURRENCY_CODE_36_DB]',61, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (38, '%!c_data[C_CURRENCY_37_DB]', '%!c_data[C_COUNTRY_37_DB]','%!c_data[C_CURRENCY_CODE_37_DB]',936, NULL)
go
INSERT INTO <<TAB_QUAL>>.CURRENCY VALUES (39, '%!c_data[C_CURRENCY_38_DB]', '%!c_data[C_COUNTRY_38_DB]','%!c_data[C_CURRENCY_CODE_38_DB]',850, NULL)
go

INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_STATUS', 4)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT', 1)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_TYPES', 7)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_HIST', 1)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_MNT', 1)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CONTRACT_ADRESS', 1)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('CURRENCY', 45)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('ORGANIZATION', 1)
go
INSERT INTO <<TAB_QUAL>>.COUNTERS (COUNTER_NAME, NEXT_NUMBER) VALUES ('ORG_MEMBERSHIP', 1)
go

INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (1, '%!c_data[C_EVENT_AUDITED_DB]', '%!c_data[C_EVENT_DESC_AUDITED_DB]', '%!c_data[C_EVENT_TYPE_AUDITED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (2, '%!c_data[C_EVENT_DISPOSED_DB]', '%!c_data[C_EVENT_DESC_DISPOSED_DB]', '%!c_data[C_EVENT_TYPE_DISPOSED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (3, '%!c_data[C_EVENT_INSTALLED_DB]', '%!c_data[C_EVENT_DESC_INSTALLED_DB]', '%!c_data[C_EVENT_TYPE_INSTALLED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (4, '%!c_data[C_EVENT_LOST_DB]', '%!c_data[C_EVENT_DESC_LOST_DB]', '%!c_data[C_EVENT_TYPE_LOST_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (5, '%!c_data[C_EVENT_MAINTENANCE_DB]', '%!c_data[C_EVENT_DESC_MAINTENANCE_DB]', '%!c_data[C_EVENT_TYPE_MAINTENANCE_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (6, '%!c_data[C_EVENT_MISSING_DB]', '%!c_data[C_EVENT_DESC_MISSING_DB]', '%!c_data[C_EVENT_TYPE_MISSING_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (7, '%!c_data[C_EVENT_MOVED_DB]', '%!c_data[C_EVENT_DESC_MOVED_DB]', '%!c_data[C_EVENT_TYPE_MOVED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (8, '%!c_data[C_EVENT_OPERATIONAL_DB]', '%!c_data[C_EVENT_DESC_OPERATIONAL_DB]', '%!c_data[C_EVENT_TYPE_OPERATIONAL_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (9, '%!c_data[C_EVENT_RECEIVED_DB]', '%!c_data[C_EVENT_DESC_RECEIVED_DB]', '%!c_data[C_EVENT_TYPE_RECEIVED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (10, '%!c_data[C_EVENT_STORAGE_DB]', '%!c_data[C_EVENT_DESC_STORAGE_DB]', '%!c_data[C_EVENT_TYPE_STORAGE_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (11, '%!c_data[C_EVENT_AFFECT_BY_CHG_DB]', '%!c_data[C_EVENT_DESC_AFFECT_BY_CHG_DB]', '%!c_data[C_EVENT_TYPE_AFFECT_BY_CHG_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (12, '%!c_data[C_EVENT_ADDED_DB]', '%!c_data[C_EVENT_DESC_ADDED_DB]', '%!c_data[C_EVENT_TYPE_ADDED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go
INSERT INTO <<TAB_QUAL>>.EVENTS VALUES (13, '%!c_data[C_EVENT_REMOVED_DB]', '%!c_data[C_EVENT_DESC_REMOVED_DB]', '%!c_data[C_EVENT_TYPE_REMOVED_DB]', '%!c_data[C_EVENT_OWNER_ASSET_DB]', 0)
go

#REM #############################
#REM  Updating PEOPLE_ID
#REM #############################

#ECHO %!b_msgs[B_ECHO_UPD_PEO_NUG_EWUSR_COMMON]

UPDATE <<TAB_QUAL>>.NOTIFY_USER_GROUP
    SET PEOPLE_ID = (SELECT PEOPLE_ID 
    FROM <<TAB_QUAL>>.PEOPLE_LOCATION A
    WHERE <<TAB_QUAL>>.NOTIFY_USER_GROUP.USER_GROUP_ID = A.CONTACT_ID 
    AND <<TAB_QUAL>>.NOTIFY_USER_GROUP.LOCATION_ID = A.LOCATION_ID )
GO

UPDATE <<TAB_QUAL>>.NOTIFY_USER_GROUP
    SET PEOPLE_ID = (SELECT PEOPLE_ID 
    FROM <<TAB_QUAL>>.USERS A
    WHERE USER_GROUP_ID = A.USER_ID )
#REM (* ****************************************************************************************   
#REM    6.0-TSD-0014 Defect EQ21007
#REM    NOTIFY_USER_GROUP.PEOPLE_ID Updated to NULL by people migration
#REM    RMS 31May00
#REM    **************************************************************************************** *)
	 WHERE PEOPLE_ID IS NULL
#REM (* ****************************************************************************************   
#REM    END 6.0-TSD-0014 Defect EQ21007
#REM    **************************************************************************************** *)
GO    

UPDATE <<TAB_QUAL>>.EWEB_USER_RIGHTS
    SET PEOPLE_ID = (SELECT PEOPLE_ID
    FROM <<TAB_QUAL>>.PEOPLE A
    WHERE A.ACCESS_ID = <<TAB_QUAL>>.EWEB_USER_RIGHTS.WEB_ID )
    WHERE PEOPLE_ID = -1
GO

#REM #############################
#REM  Adding foreign key constraints
#REM #############################

#ECHO %!b_msgs[B_ECHO_ADD_FK_TRIGGERS_COMMON]

ALTER TABLE <<TAB_QUAL>>.USERS
 ADD CONSTRAINT R_130 FOREIGN KEY (TIMEZONE_ID)
               REFERENCES <<TAB_QUAL>>.TIMEZONES
GO

ALTER TABLE <<TAB_QUAL>>.PEOPLE_LOCATION
 ADD CONSTRAINT R_128 FOREIGN KEY (LOCATION_ID)
			   REFERENCES <<TAB_QUAL>>.LOCATION
GO  

ALTER TABLE <<TAB_QUAL>>.CONTRACT
 ADD CONSTRAINT I_28 FOREIGN KEY  (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
GO

#REM ****************************
#REM Triggers
#REM ****************************
 
#REM ******************************************************
#REM    tI_ORG_MEMBERSHIP
#REM
#REM    I_29, I_30
#REM ******************************************************

create trigger tI_ORG_MEMBERSHIP on <<TAB_QUAL>>.ORG_MEMBERSHIP for INSERT as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* I_29 PEOPLE may be a member of ORG_MEMBERSHIP on CHILD INSERT RESTRICT */
  if
    update(PEOPLE_ID)
  begin
    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted, <<TAB_QUAL>>.PEOPLE
        where
          inserted.PEOPLE_ID = <<TAB_QUAL>>.PEOPLE.PEOPLE_ID
    
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60002,
             @errmsg = '%!c_data[C_TRIG_TI_ORG_MEMBER_DB]'
      goto error
    end
  end
  /* I_30 ORGANIZATION has members ORG_MEMBERSHIP on CHILD INSERT RESTRICT */
  if
    update(ORGANIZATION_ID)
  begin
    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted, <<TAB_QUAL>>.ORGANIZATION
        where
          inserted.ORGANIZATION_ID = <<TAB_QUAL>>.ORGANIZATION.ORGANIZATION_ID
    
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60002,
             @errmsg = '%!c_data[C_TRIG_TI_ORG_MEMBER_2_DB]'
      goto error
    end
  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tU_ORG_MEMBERSHIP
#REM
#REM    I_29, I_30
#REM ******************************************************

create trigger tU_ORG_MEMBERSHIP on <<TAB_QUAL>>.ORG_MEMBERSHIP for UPDATE as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @insORG_MEMBER_ID int,
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* I_29 PEOPLE may be a member of ORG_MEMBERSHIP on CHILD UPDATE RESTRICT */
  if
    update(PEOPLE_ID)
  begin
    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted, <<TAB_QUAL>>.PEOPLE
        where
          inserted.PEOPLE_ID = <<TAB_QUAL>>.PEOPLE.PEOPLE_ID
    
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60007,
             @errmsg = '%!c_data[C_TRIG_TU_ORG_MEMBER_DB]'
      goto error
    end
  end
  /* I_30 ORGANIZATION has members ORG_MEMBERSHIP on CHILD UPDATE RESTRICT */
  if
    update(ORGANIZATION_ID)
  begin
    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted, <<TAB_QUAL>>.ORGANIZATION
        where
          inserted.ORGANIZATION_ID = <<TAB_QUAL>>.ORGANIZATION.ORGANIZATION_ID
    
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60007,
             @errmsg = '%!c_data[C_TRIG_TU_ORG_MEMBER_2_DB]'
      goto error
    end
  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tU_PEOPLE
#REM
#REM    I_29, W_1
#REM ******************************************************

create trigger tU_PEOPLE on <<TAB_QUAL>>.PEOPLE for UPDATE as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @insPEOPLE_ID int,
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* I_29 PEOPLE may be a member of ORG_MEMBERSHIP on PARENT UPDATE RESTRICT */
  if
    update(PEOPLE_ID)
  begin
    if exists (
      select * from deleted, <<TAB_QUAL>>.ORG_MEMBERSHIP
      where
        <<TAB_QUAL>>.ORG_MEMBERSHIP.PEOPLE_ID = deleted.PEOPLE_ID
    )
    begin
      select @errno  = 60005,
             @errmsg = '%!c_data[C_TRIG_TU_PEOPLE_DB]'
      goto error
    end
  end
  /* W_1 PEOPLE may have eweb user rights in EWEB_USER_RIGHTS on PARENT UPDATE RESTRICT */
  if
    update(PEOPLE_ID)
  begin
    if exists (
      select * from deleted, <<TAB_QUAL>>.EWEB_USER_RIGHTS
      where
        <<TAB_QUAL>>.EWEB_USER_RIGHTS.PEOPLE_ID = deleted.PEOPLE_ID
    )
    begin
      select @errno  = 60005,
             @errmsg = '%!c_data[C_TRIG_TU_PEOPLE_2_DB]'
      goto error
    end
  end
  

  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tI_CONTRACT
#REM
#REM    I_28, I_32, I_33, I_34, I_35
#REM ******************************************************

#REM Created in 600prof.mss

#REM ******************************************************
#REM    tD_VENDOR
#REM
#REM    I_32, I_33, I_34, I_35
#REM ******************************************************

create trigger tD_VENDOR on <<TAB_QUAL>>.VENDOR for DELETE as
begin
  declare  @errno   int,
           @errmsg  varchar(255)
    /* I_32 VENDOR maintained with CONTRACT PRIMARY VENDOR on PARENT DELETE RESTRICT */
    if exists (
      select * from deleted, <<TAB_QUAL>>.CONTRACT
      where
        <<TAB_QUAL>>.CONTRACT.VENDOR_ID = deleted.VENDOR_ID
    )
    begin
      select @errno  = 60001,
             @errmsg = '%!c_data[C_TRIG_TD_VENDOR_DB]'
      goto error
    end
    /* I_33 VENDOR maintained with CONTRACT SECONDARY VENDOR on PARENT DELETE RESTRICT */
    if exists (
      select * from deleted, <<TAB_QUAL>>.CONTRACT
      where
        <<TAB_QUAL>>.CONTRACT.SECONDARY_VENDOR = deleted.VENDOR_ID
    )
    begin
      select @errno  = 60001,
             @errmsg = '%!c_data[C_TRIG_TD_VENDOR_2_DB]'
      goto error
    end
    /* I_34 VENDOR maintained with CONTRACT PURCHASE VENDOR on PARENT DELETE RESTRICT */
    if exists (
      select * from deleted, <<TAB_QUAL>>.CONTRACT
      where
        <<TAB_QUAL>>.CONTRACT.PURCHASE_VENDOR = deleted.VENDOR_ID
    )
    begin
      select @errno  = 60001,
             @errmsg = '%!c_data[C_TRIG_TD_VENDOR_3_DB]'
      goto error
    end
    /* I_35 VENDOR maintained with CONTRACT WARRANTY VENDOR on PARENT DELETE RESTRICT */
    if exists (
      select * from deleted, <<TAB_QUAL>>.CONTRACT
      where
        <<TAB_QUAL>>.CONTRACT.WARRANTY_VENDOR = deleted.VENDOR_ID
    )
    begin
      select @errno  = 60001,
             @errmsg = '%!c_data[C_TRIG_TD_VENDOR_4_DB]'
      goto error
    end
    return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tU_VENDOR
#REM
#REM    I_32, I_33, I_34, I_35
#REM ******************************************************

create trigger tU_VENDOR on <<TAB_QUAL>>.VENDOR for UPDATE as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @insVENDOR_ID char(15),
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* I_32 VENDOR maintained with CONTRACT PRIMARY VENDOR on PARENT UPDATE CASCADE */
  if
    update(VENDOR_ID)
  begin
    if @numrows = 1
    begin
      select @insVENDOR_ID = inserted.VENDOR_ID
        from inserted
      update CONTRACT
      set
        CONTRACT.VENDOR_ID = @insVENDOR_ID
      from <<TAB_QUAL>>.CONTRACT,inserted,deleted
      where
        <<TAB_QUAL>>.CONTRACT.VENDOR_ID = deleted.VENDOR_ID
    end
    else
    begin
      select @errno = 60006,
             @errmsg = '%!c_data[C_TRIG_TU_VENDOR_DB]'
      raiserror @errno @errmsg
    end
  end
  /* I_33 VENDOR maintained with CONTRACT SECONDARY VENDOR on PARENT UPDATE CASCADE */
  if
    update(VENDOR_ID)
  begin
    if @numrows = 1
    begin
      select @insVENDOR_ID = inserted.VENDOR_ID
        from inserted
      update CONTRACT
      set
        CONTRACT.SECONDARY_VENDOR = @insVENDOR_ID
      from <<TAB_QUAL>>.CONTRACT,inserted,deleted
      where
        <<TAB_QUAL>>.CONTRACT.SECONDARY_VENDOR = deleted.VENDOR_ID
    end
    else
    begin
      select @errno = 60006,
             @errmsg = '%!c_data[C_TRIG_TU_VENDOR_DB]'
      raiserror @errno @errmsg
    end
  end
  /* I_34 VENDOR maintained with CONTRACT PURCHASE VENDOR on PARENT UPDATE CASCADE */
  if
    update(VENDOR_ID)
  begin
    if @numrows = 1
    begin
      select @insVENDOR_ID = inserted.VENDOR_ID
        from inserted
      update CONTRACT
      set
        CONTRACT.PURCHASE_VENDOR = @insVENDOR_ID
      from <<TAB_QUAL>>.CONTRACT,inserted,deleted
      where
        <<TAB_QUAL>>.CONTRACT.PURCHASE_VENDOR = deleted.VENDOR_ID
    end
    else
    begin
      select @errno = 60006,
             @errmsg = '%!c_data[C_TRIG_TU_VENDOR_DB]'
      raiserror @errno @errmsg
    end
  end
  /* I_35 VENDOR maintained with CONTRACT WARRANTY VENDOR on PARENT UPDATE CASCADE */
  if
    update(VENDOR_ID)
  begin
    if @numrows = 1
    begin
      select @insVENDOR_ID = inserted.VENDOR_ID
        from inserted
      update CONTRACT
      set
        CONTRACT.WARRANTY_VENDOR = @insVENDOR_ID
      from <<TAB_QUAL>>.CONTRACT,inserted,deleted
      where
        <<TAB_QUAL>>.CONTRACT.WARRANTY_VENDOR = deleted.VENDOR_ID
    end
    else
    begin
      select @errno = 60006,
             @errmsg = '%!c_data[C_TRIG_TU_VENDOR_DB]'
      raiserror @errno @errmsg
    end
  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tI_EWEB_USER_RIGHTS
#REM
#REM    W_1
#REM ******************************************************

create trigger tI_EWEB_USER_RIGHTS on <<TAB_QUAL>>.EWEB_USER_RIGHTS for INSERT as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* PEOPLE W_1 EWEB_USER_RIGHTS ON CHILD INSERT RESTRICT */
  if update(PEOPLE_ID)
  begin

    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted,<<TAB_QUAL>>.PEOPLE
      where inserted.PEOPLE_ID = <<TAB_QUAL>>.PEOPLE.PEOPLE_ID 
      
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60002,
             @errmsg = '%!c_data[C_TRIG_TI_EWEB_USR_RIGHT_DB]'
      goto error
    end

  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tU_EWEB_USER_RIGHTS
#REM
#REM    W_1
#REM ******************************************************

create trigger tU_EWEB_USER_RIGHTS on <<TAB_QUAL>>.EWEB_USER_RIGHTS for UPDATE as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @insPEOPLE_ID int,           
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* PEOPLE W_1 EWEB_USER_RIGHTS ON CHILD UPDATE RESTRICT */
  if update(PEOPLE_ID)
  begin

    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted,<<TAB_QUAL>>.PEOPLE
      where inserted.PEOPLE_ID = <<TAB_QUAL>>.PEOPLE.PEOPLE_ID 
          
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60007,
             @errmsg = '%!c_data[C_TRIG_TU_EWEB_USR_RIGHT_DB]'
      goto error
    end

  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tI_EWEB_ORG_RIGHTS
#REM
#REM    W_3
#REM ******************************************************

create trigger tI_EWEB_ORG_RIGHTS on <<TAB_QUAL>>.EWEB_ORG_RIGHTS for INSERT as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* ORGANIZATION W_3 EWEB_ORG_RIGHTS ON CHILD INSERT RESTRICT */
  if update(ORGANIZATION_ID)
  begin

    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted,<<TAB_QUAL>>.ORGANIZATION
      where inserted.ORGANIZATION_ID = <<TAB_QUAL>>.ORGANIZATION.ORGANIZATION_ID 
      
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60002,
             @errmsg = '%!c_data[C_TRIG_TI_EWEB_ORG_RIGHT_DB]'
      goto error
    end

  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM ******************************************************
#REM    tU_EWEB_ORG_RIGHTS
#REM
#REM    W_3
#REM ******************************************************

create trigger tU_EWEB_ORG_RIGHTS on <<TAB_QUAL>>.EWEB_ORG_RIGHTS for UPDATE as
begin
  declare  @numrows int,
           @nullcnt int,
           @validcnt int,
           @insORGANIZATION_ID char(15),           
           @errno   int,
           @errmsg  varchar(255)

  select @numrows = @@rowcount
  /* ORGANIZATION W_3 EWEB_ORG_RIGHTS ON CHILD UPDATE RESTRICT */
  if update(ORGANIZATION_ID)
  begin

    select @nullcnt = 0
    select @validcnt = count(*)
      from inserted,<<TAB_QUAL>>.ORGANIZATION
      where inserted.ORGANIZATION_ID = <<TAB_QUAL>>.ORGANIZATION.ORGANIZATION_ID 
          
    if @validcnt + @nullcnt != @numrows
    begin
      select @errno  = 60007,
             @errmsg = '%!c_data[C_TRIG_TU_EWEB_ORG_RIGHT_DB]'
      goto error
    end

  end
  return
error:
    raiserror @errno @errmsg
    rollback transaction
end
go

#REM #############################
#REM  Drop constraints 61, 110, 121.
#REM #############################

ALTER TABLE <<TAB_QUAL>>.CONTACTS
    DROP CONSTRAINT R_61
go    

ALTER TABLE <<TAB_QUAL>>.CALL
    DROP CONSTRAINT R_110
go    

ALTER TABLE <<TAB_QUAL>>.PROBLEMS
    DROP CONSTRAINT R_121
go    

#REM #############################
#REM  Creating user_view for user password migration
#REM #############################

DROP VIEW <<TAB_QUAL>>.TMP2_USER_VIEW
go
DROP TABLE <<TAB_QUAL>>.TMP2_USERS
go

CREATE TABLE <<TAB_QUAL>>.TMP2_USERS
     (USER_ID                 VARCHAR(15) NOT NULL,
      LOGICAL_DELETE          INTEGER NULL,
      CONSTRAINT XPKTMP2_USERS PRIMARY KEY (USER_ID) <<PK_INDEX_CLAUSE>>,
      ) <<ON_TABLE_SEGMENT>>
go      

INSERT INTO <<TAB_QUAL>>.TMP2_USERS (USER_ID )
        SELECT USER_ID FROM <<TAB_QUAL>>.USERS
go        
        
UPDATE <<TAB_QUAL>>.TMP2_USERS SET LOGICAL_DELETE = 0
go

CREATE VIEW <<TAB_QUAL>>.TMP2_USER_VIEW
  (USER_ID,
   USER_PASSWORD,
   LOGICAL_DELETE,
   SITE_ID)
AS SELECT
   A.USER_ID,
   A.USER_PASSWORD,
   B.LOGICAL_DELETE,
   A.SITE_ID
 FROM <<TAB_QUAL>>.USERS A, <<TAB_QUAL>>.TMP2_USERS B
 WHERE A.USER_ID=B.USER_ID
go











