#Rem
#Rem $Header:   S:/ea3t/src/arc/eabuild/sybase10.tav   1.57   Nov 21 1997 10:44:34   MDSTEENB  $
#Rem
#Rem Desc: Sybase SQLServer 10 Table creation script for EABUILD program
#Rem

#REM Script executed if EFM is installed

#REM
#REM Map SYNONYMS to DBCOMMON global variables
#REM
#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE ON_TABLE_SEGMENT {{DBCOMMON:GlobalTablespaceOptions}}
#DEFINE COMMAND_TERMINATOR ;
#DEFINE PSITE_NUMBER {{peocfunc:psite_no}}

#REM Suppress 204 cannot drop constraint if table does not exist.
#REM Suppress 100 no data returned
#SUPPRESS -204 
#SUPPRESS -100

#ECHO %!b_msgs[B_ECHO_DROP_FK_PEOPLE_COMMON]

ALTER TABLE <<TAB_QUAL>>.INV_PEOPLE
	DROP FOREIGN KEY I_164;
ALTER TABLE <<TAB_QUAL>>.CONTRACT
	DROP FOREIGN KEY I_28 ;
ALTER TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP
	DROP FOREIGN KEY I_29 ;
ALTER TABLE <<TAB_QUAL>>.PEOPLE_CONTACT
	DROP FOREIGN KEY I_17 ;
ALTER TABLE <<TAB_QUAL>>.CCB_MEMBER
    DROP FOREIGN KEY PO_ME;    
ALTER TABLE <<TAB_QUAL>>.CHANGE
    DROP FOREIGN KEY PO_CG_AS;    
ALTER TABLE <<TAB_QUAL>>.CHANGE
    DROP FOREIGN KEY PO_CG_RQ;    
ALTER TABLE <<TAB_QUAL>>.CHANGE_MODEL
    DROP FOREIGN KEY PO_MO_CR;    
ALTER TABLE <<TAB_QUAL>>.CHANGE_MODEL
    DROP FOREIGN KEY PO_MO_AS;    
ALTER TABLE <<TAB_QUAL>>.ACTIONS
    DROP FOREIGN KEY PO_AC;    
ALTER TABLE <<TAB_QUAL>>.APPROVAL
    DROP FOREIGN KEY PO_CA;    
ALTER TABLE <<TAB_QUAL>>.IMPACT_ITEM
    DROP FOREIGN KEY PO_II;    
ALTER TABLE <<TAB_QUAL>>.MODEL_APPROVAL
    DROP FOREIGN KEY PO_MA;    
ALTER TABLE <<TAB_QUAL>>.CHANGE
    DROP FOREIGN KEY PO_AU;    
ALTER TABLE <<TAB_QUAL>>.EXTERNAL_MAP
    DROP FOREIGN KEY TIV_2;
ALTER TABLE <<TAB_QUAL>>.PEOPLE
    DROP PRIMARY KEY;
    

#REM
#REM Move people to old_people, new_people to people
#REM

#ECHO %!b_msgs[B_ECHO_RENAME_PEOPLE_COMMON]

DROP TABLE <<TAB_QUAL>>.OLD_PEOPLE;

RENAME <<TAB_QUAL>>.PEOPLE TO OLD_PEOPLE
;

RENAME <<TAB_QUAL>>.NEW_PEOPLE TO PEOPLE
;


#REM #############################
#REM  Altering USERS and ORGANIZATION table.
#REM #############################

#ECHO %!b_msgs[B_ECHO_ALTER_USER_ORG_COMMON]

ALTER TABLE <<TAB_QUAL>>.USERS ADD TIMEZONE_ID CHAR(30);
ALTER TABLE <<TAB_QUAL>>.ORGANIZATION ADD A_ORG_KNWLDG_MASK INTEGER;
ALTER TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP ADD DEFAULT_ORG SMALLINT;

COMMENT ON COLUMN <<TAB_QUAL>>.ORG_MEMBERSHIP.DEFAULT_ORG IS '$ASETYPE=BOOLEAN';


#REM #############################
#REM  Create indices.
#REM #############################

DROP INDEX <<TAB_QUAL>>.XAKCONTRACT_ADR
;
DROP INDEX <<TAB_QUAL>>.XAKCONTRACT_HIST
;

DROP INDEX <<TAB_QUAL>>.XAKPEOPLE
;

CREATE INDEX <<TAB_QUAL>>.XIECONTRACT_ADDR
  ON <<TAB_QUAL>>.CONTRACT_ADDRESS
(
CONTRACT_ID          ASC
);

 
CREATE INDEX <<TAB_QUAL>>.XIECONTRACT_HIST
  ON <<TAB_QUAL>>.CONTRACT_HISTORY
(
CONTRACT_ID          ASC
);

#REM #############################
#REM  Drop constraints for Contacts - 61, 110, 121.
#REM #############################

#REM Drop RI between Contacts and Location
ALTER TABLE <<TAB_QUAL>>.CONTACTS
    DROP FOREIGN KEY R_61;

#REM Drop RI between call and contacts    
ALTER TABLE <<TAB_QUAL>>.CALL
    DROP FOREIGN KEY R_110;

#REM Drop RI between contacts and problem
ALTER TABLE <<TAB_QUAL>>.PROBLEMS
    DROP FOREIGN KEY R_121;

#REM #############################
#REM  Update related people tables with new people_id
#REM #############################

#ECHO %!b_msgs[B_ECHO_UPD_PEO_ASS_CHG_COMMON]

UPDATE <<TAB_QUAL>>.ACTIONS SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.APPROVAL SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.CCB_MEMBER SET MEMBER_ID = MEMBER_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.CHANGE SET ASSIGNED_TO = ASSIGNED_TO + <<PSITE_NUMBER>>, 
    AUTHOR = AUTHOR + <<PSITE_NUMBER>>, REQUESTER_ID = REQUESTER_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.CHANGE_MODEL SET CREATOR = CREATOR + <<PSITE_NUMBER>>, 
    ASSIGNED_TO = ASSIGNED_TO + <<PSITE_NUMBER>>;                        
    
UPDATE <<TAB_QUAL>>.CONTRACT SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.EXTERNAL_MAP SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.IMPACT_ITEM SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.INV_PEOPLE SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.MODEL_APPROVAL SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.MODEL_SCHED_RES SET RESOURCE_ID = RESOURCE_ID + <<PSITE_NUMBER>>
                    WHERE RESOURCE_TYPE = 'P';

UPDATE <<TAB_QUAL>>.ORG_MEMBERSHIP SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.REPORT_DETAIL SET PEOPLE_ID = PEOPLE_ID + <<PSITE_NUMBER>>;

UPDATE <<TAB_QUAL>>.SCHED_RESOURCE SET RESOURCE_ID = RESOURCE_ID + <<PSITE_NUMBER>>
                    WHERE RESOURCE_TYPE = 'P';

#REM #############################
#REM  Updating PEOPLE_ID
#REM #############################

#ECHO %!b_msgs[B_ECHO_UPD_PEO_NUG_EWUSR_COMMON]

UPDATE <<TAB_QUAL>>.NOTIFY_USER_GROUP
SET PEOPLE_ID =
(SELECT PEOPLE_ID 
FROM <<TAB_QUAL>>.PEOPLE_LOCATION A
WHERE USER_GROUP_ID = A.CONTACT_ID 
AND <<TAB_QUAL>>.NOTIFY_USER_GROUP.LOCATION_ID = A.LOCATION_ID );
   
UPDATE <<TAB_QUAL>>.NOTIFY_USER_GROUP
SET PEOPLE_ID =
(SELECT PEOPLE_ID 
FROM <<TAB_QUAL>>.USERS A
WHERE USER_GROUP_ID = A.USER_ID )
#REM (* ****************************************************************************************   
#REM    6.0-TSD-0014 Defect EQ21007
#REM    NOTIFY_USER_GROUP.PEOPLE_ID Updated to NULL by people migration
#REM    RMS 31May00
#REM    **************************************************************************************** *)
	 WHERE PEOPLE_ID IS NULL;
#REM (* ****************************************************************************************   
#REM    END 6.0-TSD-0014 Defect EQ21007
#REM    **************************************************************************************** *)

UPDATE <<TAB_QUAL>>.EWEB_USER_RIGHTS
SET PEOPLE_ID =
(SELECT PEOPLE_ID
FROM <<TAB_QUAL>>.PEOPLE A
WHERE A.ACCESS_ID = <<TAB_QUAL>>.EWEB_USER_RIGHTS.WEB_ID )
WHERE PEOPLE_ID = -1;

#REM #############################
#REM  Adding foreign key constraints
#REM #############################

#ECHO %!b_msgs[B_ECHO_ADD_FK_PEOPLE_COMMON]
#ECHO %!b_msgs[B_ECHO_ADD_FK_TRG_NEW_COMMON]

ALTER TABLE <<TAB_QUAL>>.USERS
 FOREIGN KEY R_130 (TIMEZONE_ID)
			REFERENCES <<TAB_QUAL>>.TIMEZONES
			ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.CONTRACT
 FOREIGN KEY I_28 (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.ORG_MEMBERSHIP
 FOREIGN KEY I_29 (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.USERS
 FOREIGN KEY R_126 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.PEOPLE_LOCATION
 FOREIGN KEY R_127 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.PEOPLE_LOCATION
 FOREIGN KEY R_128 (LOCATION_ID)
			REFERENCES <<TAB_QUAL>>.LOCATION
			ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.NOTIFY_USER_GROUP
 FOREIGN KEY R_129 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.INV_PEOPLE
 FOREIGN KEY I_164 (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.CCB_MEMBER
 FOREIGN KEY PO_ME (MEMBER_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.CHANGE
 FOREIGN KEY PO_CG_AS (ASSIGNED_TO)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;

ALTER TABLE <<TAB_QUAL>>.CHANGE
 FOREIGN KEY PO_CG_RQ (REQUESTER_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE 
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.CHANGE_MODEL
 FOREIGN KEY PO_MO_CR (CREATOR)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.CHANGE_MODEL
 FOREIGN KEY PO_MO_AS (ASSIGNED_TO)
               REFERENCES <<TAB_QUAL>>.PEOPLE 
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.ACTIONS
 FOREIGN KEY PO_AC (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;               
               
ALTER TABLE <<TAB_QUAL>>.APPROVAL
 FOREIGN KEY PO_CA (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.IMPACT_ITEM
 FOREIGN KEY PO_II (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.MODEL_APPROVAL
 FOREIGN KEY PO_MA (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.CHANGE
 FOREIGN KEY PO_AU (AUTHOR)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE RESTRICT;               

ALTER TABLE <<TAB_QUAL>>.EXTERNAL_MAP
  FOREIGN KEY TIV_2 (PEOPLE_ID)
               REFERENCES <<TAB_QUAL>>.PEOPLE
               ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.EWEB_USER_RIGHTS
 FOREIGN KEY W_1 (PEOPLE_ID)
			REFERENCES <<TAB_QUAL>>.PEOPLE
			ON DELETE CASCADE;

ALTER TABLE <<TAB_QUAL>>.EWEB_ORG_RIGHTS
 FOREIGN KEY W_3 (ORGANIZATION_ID)
			REFERENCES <<TAB_QUAL>>.ORGANIZATION
			ON DELETE CASCADE;

#REM #############################
#REM  Creating user_view for user password migration
#REM #############################

DROP VIEW <<TAB_QUAL>>.TMP2_USER_VIEW;
DROP TABLE <<TAB_QUAL>>.TMP2_USERS;

CREATE TABLE <<TAB_QUAL>>.TMP2_USERS
     (USER_ID                 CHAR(15) NOT NULL,
      LOGICAL_DELETE          INTEGER,
      CONSTRAINT XPKTMP2_USERS PRIMARY KEY (USER_ID) 
      ) <<ON_TABLE_SEGMENT>>;

INSERT INTO <<TAB_QUAL>>.TMP2_USERS (USER_ID )
        SELECT USER_ID FROM <<TAB_QUAL>>.USERS;
        
UPDATE <<TAB_QUAL>>.TMP2_USERS SET LOGICAL_DELETE = 0;

CREATE VIEW <<TAB_QUAL>>.TMP2_USER_VIEW
  (USER_ID,
   USER_PASSWORD,
   LOGICAL_DELETE,
   SITE_ID)
AS SELECT
   A.USER_ID,
   A.USER_PASSWORD,
   B.LOGICAL_DELETE,
   A.SITE_ID
 FROM <<TAB_QUAL>>.USERS A, <<TAB_QUAL>>.TMP2_USERS B
 WHERE A.USER_ID=B.USER_ID
;

