#Rem
#Rem $Header:   5 DECEMBER 1997   ACPERKIN  $
#Rem
#Rem 
#Rem

#REM Migrating Events table for SQL Server

#DEFINE TAB_QUAL {{DBCOMMON:GlobalTabQual}}
#DEFINE ON_TABLE_SEGMENT {{DBCOMMON:GlobalTableLocation}}
#DEFINE PK_INDEX_CLAUSE {{DBCOMMON:GlobalIndexLocation}}
#DEFINE COMMAND_TERMINATOR GO
#DEFINE COMMAND_TERMINATION_MODE START_OF_LINE

#REM Suppress -3701 Cannot drop index if it does not exist
#REM Suppress -3731 Cannot drop constraint if it does not exist
#REM Suppress -208 Cannot drop table if it does not exist
#REM Suppress -100 no rows to update

#SUPPRESS -3701
#SUPPRESS -3731
#SUPPRESS -208
#SUPPRESS -100

#REM Migrate Events table

#ECHO %!b_msgs[B_ECHO_DROP_FK_EVENTS_TAM]

DROP INDEX <<TAB_QUAL>>.XAKEVENTS
go

#REM (* ****************************************************************************************   
#REM    6.0-TSD-0014 Defect 5055
#REM    Error during MSSQL/Sybase migration due to extra trigger on Events table.
#REM    RMS 28Aug00
#REM    **************************************************************************************** *)
DROP TRIGGER <<TAB_QUAL>>.tU_EVENTS
go
#REM (* ****************************************************************************************   
#REM    END 6.0-TSD-0014 Defect 5055
#REM    **************************************************************************************** *)

ALTER TABLE <<TAB_QUAL>>.INVENTORY_HISTORY DROP CONSTRAINT I_14
go
ALTER TABLE <<TAB_QUAL>>.EVENTS DROP CONSTRAINT I_23
go



#ECHO %!b_msgs[B_ECHO_RENAME_EVENTS_TAM]

DROP TABLE <<TAB_QUAL>>.OLD_EVENTS
go

sp_rename EVENTS, OLD_EVENTS
go


#ECHO %!b_msgs[B_ECHO_ALTER_OLD_EVENTS_TAM]

ALTER TABLE <<TAB_QUAL>>.OLD_EVENTS ADD EVENT_DESCRIPTION VARCHAR(80) NULL
go
ALTER TABLE <<TAB_QUAL>>.OLD_EVENTS ADD EVENT_TYPE VARCHAR(40) NULL
go
ALTER TABLE <<TAB_QUAL>>.OLD_EVENTS ADD EVENT_OWNER VARCHAR(20) NULL
go


#ECHO %!b_msgs[B_ECHO_UPD_DESC_OLD_EVENTS_TAM]

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_AUDITED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_AUDITED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_AUDITED_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_DISPOSED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_DISPOSED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_DISPOSED_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_INSTALLED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_INSTALLED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_INSTALLED_DB]'
go
 
UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_LOST_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_LOST_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_LOST_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_MAINTENANCE_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_MAINTENANCE_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_MAINTENANCE_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_MISSING_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_MISSING_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_MISSING_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_MOVED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_MOVED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_MOVED_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_OPERATIONAL_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_OPERATIONAL_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_OPERATIONAL_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_RECEIVED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_RECEIVED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_RECEIVED_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_STORAGE_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_STORAGE_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_STORAGE_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_AFFECT_BY_CHG_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_AFFECT_BY_CHG_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_AFFECT_BY_CHG_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_ADDED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_ADDED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_ADDED_DB]'
go

UPDATE <<TAB_QUAL>>.OLD_EVENTS 
SET EVENT_DESCRIPTION = '%!c_data[C_EVENT_DESC_REMOVED_DB]',
    EVENT_TYPE = '%!c_data[C_EVENT_TYPE_REMOVED_DB]',
    EVENT_OWNER = '%!c_data[C_EVENT_OWNER_ASSET_DB]',
    MODIFY_DATETIME = 0
WHERE EVENT_NAME = '%!c_data[C_EVENT_REMOVED_DB]'
go


#ECHO %!b_msgs[B_ECHO_CREATE_EVENTS_TAM]

DROP TABLE <<TAB_QUAL>>.EVENTS
go

 CREATE TABLE <<TAB_QUAL>>.EVENTS
       (EVENT_ID                 INT NOT NULL,
        EVENT_NAME               VARCHAR(40) NOT NULL,
        EVENT_DESCRIPTION        VARCHAR(80) NULL,
        EVENT_TYPE               VARCHAR(40) NOT NULL,
        EVENT_OWNER              VARCHAR(20) NOT NULL,
        MODIFY_DATETIME          INTEGER NOT NULL,
        CONSTRAINT XPKEVENTS PRIMARY KEY (EVENT_ID) <<PK_INDEX_CLAUSE>>,
       ) <<ON_TABLE_SEGMENT>>
go
